far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low

  * Bump version to 2.6.2
  * dont use wxTheClipboard->Flush under WXGTK
  * may be fix problem with cursor visibility after command execution (touch #2287)
  * recognize also "msdos" filesystem as case insensitive
  * recognize also exfat as case-insensitive fs
  * colorer: fix compilation under MacOS ElCapitan
  * copy: case-insensitively detect renaming to same folder name in vfat filesystem (touch #2204)
  * NR: bring back 2 and 3 columns modes, just avoid Align file extensions
  * Merge branch 'master' of github.com:elfmz/far2l
  * fallback to regular file if mode doesnt specify file type (fix #2263)
  * Merge pull request #2286 from ctapmex/artifacts-in-editor
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2285 from ctapmex/fix_2277
  * umask override option replaced with use of chmod with possibility to disable it at all (touch #2257)
  * fix fill background in editor
  * Revert "editor/colorer: fix coloring artifacts when rendering strings with characters of nonstandard width (touch #1941)"
  * fix Plugin Colorer crashes #2277
  * Merge pull request #2284 from unxed/fix_wl_clip
  * Merge pull request #2281 from spnethw/filefilter_case_sensitive
  * Merge pull request #2274 from deep-soft/far2l-master
  * Merge pull request #2276 from spnethw/cmpname_body_minor_fix
  * Merge pull request #2273 from akruphi/readme_debian
  * Merge pull request #2282 from akruphi/netrocks
  * fix #2238
  * NetRocks: for site connections list don't use current far2l panel modes
  * allow autofilters to work with extensions in both cases + style
  * update translation
  * add automation
  * add "Case sensitive" option to FileFilter, some refactoring
  * CmpName_Body: handle one missed case + minor style
  * adapt FileFilterParams to work with case(in)sensitive file masks
  * minor
  * add in readme explanation after #2271
  * Update macro.cpp
  * Merge pull request #2267 from spnethw/case_sensitive_fix_improve
  * Merge pull request #2270 from akruphi/hist_escape_fn_ctrlf10_fix
  * Merge pull request #2269 from akruphi/case_sensitive_advcompare
  * minor
  * History AltF8 fix escaping filenames in jump to file by CtrlF10 / F3
  * indent fix
  * revert FileFilter change
  * files highlighting is back case sensitive + style fixes
  * correction position of new functions in struct FarStandardFunctions after @shmuz advice
  * Advanced compare: add (in)sensitive option compare
  * update farlang.templ.m4 for FindFileCase
  * and more minor style fixes
  * more minor style fixes
  * minor style fixes
  * touch issue #2029, attempt to fix case-(in)sensitive option
  * Merge pull request #2265 from akruphi/case_sensitive_findfile
  * FindFile: dialog height minor fix
  * Customize Case (in)sensitive option for file masks in Find file
  * fix possible crash in sdc_readdir/sdc_closedir; minor optimization
  * ma: undo fork() experiment as measurements shown not so much improvements
  * revert libarchive detection workarouns for MacOS
  * fix pre-redraw func crash in certain conditions (fix #2262)
  * ma: refactor..
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * ma: experiment - use fork() instead of executing when extracting files by builtin handler if screen output and sudo are not required. This should make text search in archives much faster for those archive types that extracted using builtin handlers'
  * Merge pull request #2261 from akruphi/case_sensitive_compare_select
  * ma: remove unused code
  * ma: continue refactor
  * ma: minus another two arrays
  * ma: get rid of few more fixed size arrays
  * ma: get rid of some strcpy for a company
  * fix build and some cosmetics
  * multiarc: get rid of most fixed size arrays and all sprintfs
  * Help on Case sensitive when compare or select
  * Customize Case sensitive option for Compare folders and (De)Select in Panels
  * refactor some snprintf-s
  * helpers for trivial int->string conversions; fixed couple other warnings
  * Merge pull request #2260 from rampitec/warn
  * Fixing most of the obvious warnings with clang15 and MacOS.
  * Merge pull request #2255 from akruphi/hist_cmd_dir_in_prefix
  * Merge pull request #2259 from Dazzar56/TabNavFix
  * fix incorrect focus on tab key in DI_RADIOBUTTON
  * Merge pull request #2258 from akruphi/setattr_fix_date_compare
  * Attributes dialog CtrlA: workaround to compare current & initial date
  * typo
  * minor fix: timesep & variables
  * History - use all-far2l date-time format
  * History - add confirmation before remove non-existing entries by Ctrl+R
  * History commands - add path in prefix in Alt+F8
  * Merge pull request #2254 from akruphi/hist_footer
  * refactoring
  * History - more accurately HistoryFooter
  * mostly cosmetic refactor
  * Merge pull request #2253 from akruphi/fix_hist_autocomplete_dups
  * Merge pull request #2252 from akruphi/setattr
  * tests: improve viewer word-wrap testcase
  * tests: viewer word-wrap testcase
  * tests: refactor, testcase for viewer
  * History - fix duplicates in autocomplete after #2241
  * viewer: fix..
  * viewer: more up-scrolling fixes (touch #2246)
  * Attributes dialog CtrlA: mouse db-click only on changeable data times
  * NetRocks CtrlA: hotkeys closely to main far2l CtrlA
  * Attributes dialog CtrlA: show original octal + cosmetics
  * Merge pull request #2239 from unxed/zip_ansi_fix
  * viewer: fix spaces at lines begins when scrolling up in word-wrap mode (touch #2246)
  * Removed LACodepage, actually not needed
  * Merge pull request #2248 from anta999/colortest2
  * Merge pull request #2245 from akruphi/setattr
  * Merge pull request #2244 from m32/master
  * Merge pull request #2251 from spnethw/fix_issue_2207_prevent_crash_on_quick_view
  * prevent crash on Quick View and when calculating folder size
  * Fixed console history clearing crash
  * Attributes dialog CtrlA: dynamically show marks (*) near changed fields + refactoring
  * be quiet
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2241 from akruphi/hist
  * Merge pull request #2242 from anta999/colortest2
  * Merge pull request #2243 from spnethw/futimens-fd-close-fix
  * Add menu option stop wrap on edge
  * close file descriptor after futimens call
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few small fixes
  * History - also add choice "never" for delete duplicates
  * minor fix
  * History - delete duplicates if Name and Extra equal
  * Merge pull request #2240 from makefu/master
  * README: update nixos link to official wiki url
  * Bring ANSI special case back, see https://github.com/elfmz/far2l/issues/2237#issuecomment-2134114585
  * Process archives with ANSI charset correctly. Closes #2237. Passes all my test .zip archives set.
  * alt-f7 and select panel - python opens first found plugin
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2233 from unxed/7zip
  * minor fix
  * Merge pull request #2231 from unxed/7zip
  * Merge pull request #2232 from ctapmex/patch-1
  * revert wrong change
  * minor fixes
  * typo in build.yml
  * 7zz tools, often provided in 7zip package, offers more recent 7zip Linux port comparing to p7zip package version.
  * cosmetic
  * Merge pull request #2206 from anta999/colortest2
  * Merge pull request #2225 from akruphi/explain_setattr_symlinks
  * Merge pull request #2224 from spnethw/scanfilebymapping-fix
  * Merge pull request #2226 from Dazzar56/setattr-hotkeys
  * Merge pull request #2220 from atolismesh/master
  * Merge pull request #2227 from ctapmex/change-ci
  * Merge pull request #2229 from akruphi/fix2223_findfile_del_after_edit_from_panel
  * Merge pull request #2228 from ctapmex/colorer-fs
  * resolve merge conflict
  * fixed initialization of default focused item
  * Fix #2223
  * build on gcc-7; build without std::filesystems
  * sync colorer-library with upstream
  * update ci
  * Merge branch 'elfmz:master' into setattr-hotkeys
  * fix incorrect initial focus highlighting
  * cosmetic: spaces
  * Attributes dialog CtrlA: explanation surprise situation with symlinks properties
  * ScanFileByMapping fix: take into account the exact upper boundary
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2219 from Dazzar56/setattr-hotkeys
  * minor signature correction
  * renamed functions to the local name conventions
  * macrosses replaced for inline functions
  * Update custom.ini
  * Add support for UDF ISO archives and fix custom.ini
  * Merge branch 'elfmz:master' into master
  * some refactoring of dialog.cpp  * ITEM_IS_FOCUSABLE now check for all type of items  * inline CanGetFocus changed for a ITEM_IS_FOCUSABLE macro  * deleted unused code
  * Merge branch 'setattr-hotkeys' of https://github.com/Dazzar56/far2l into setattr-hotkeys
  * Merge pull request #2218 from akruphi/dialog_up_down
  * gap more than one line now considered as separator
  * fine tuning of keyboard movement logic inside of dialog  * take into account DI_BUTTON  * movement by coordinates now happens according to borders in current dialog config  * DI_SINGLEBOX, DI_DOUBLEBOX, DI_VTEXT, and DI_TEXT (with separator Flags) are considered as borders  * complex logic expressions moved into marcoses
  * oops
  * item colors bug fix
  * setattr (Attributes dialog CtrlA): hotkeys correction
  * correct after #2213 vertical keys processing in dialog
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few fixes
  * Merge pull request #2208 from akruphi/date_configure
  * Merge pull request #2215 from ctapmex/github-ci
  * fix clang build
  * Merge pull request #2213 from Dazzar56/setattr-hotkeys
  * Merge pull request #2211 from dstd/history-autohighlight-option
  * Merge pull request #2209 from ctapmex/colorer-openwrt
  * Merge pull request #2212 from unxed/ctrl_yo
  * Merge pull request #2217 from ctapmex/colorer-schemes
  * Merge pull request #2216 from ctapmex/farcolorer_refactoring
  * Date format customization: refactoring
  * Date format customization: more detect formats from locale
  * update colorer schemes
  * new keyboard navigation method now is default * flag DIF_HORIZONTALLAYOUT removed. It`s no longer needed * fix some conflicts in setattr hotkeys
  * refactoring
  * add .clang-format from colorer; reformat farcolorer
  * choose type menu refactoring
  * run workflow 'Artifacts' only on master
  * add new workflow
  * Refactoring
  * restore hotkeys in setattr and add horizontal layout for checkbox and radiobutton
  * fix #2028
  * Fix locale in old systems (FreeBSD,...) + tiny refectoring
  * Date format customization via Interface settings - from locale
  * Option to disable automatic highlights in history lists
  * fix filter in outliner form
  * remove some raw pointers
  * fix clean editor on plugin disable
  * fix error on reenable plugin
  * remove colorer viewer, linux don`t supported
  * clean main module
  * remove ConsoleAnnotation.h; rework truemode
  * remove resource.h
  * restore user settings load
  * unreachable code removed
  * build on openwrt #1615
  * Date format customization: current button + improvement
  * Minor: typo
  * Date format customization via Interface settings
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * RGB Palette Testing
  * NetRocks: add proxychains proxifier support, also now proxifier settings are configured on per-site basis but not one-for-all (touch #2200)
  * Merge pull request #2203 from spnethw/multiarc_check_read_access_to_archive
  * multiarc: check if we have read access to the archive
  * ma/libarch: dont use extraction to /dev/null when testing archive to avoid damaging that /dev/null (fix #2182)
  * fix BreakKeys problem by shmuz (fix #2189)
  * fix no-openssl build (fix #2199)
  * Merge pull request #2202 from akruphi/readme
  * readme minor
  * readme revert spaces
  * readme update
  * Merge pull request #2190 from atolismesh/master
  * Merge pull request #2178 from spnethw/fix-2060-remove-unnecessary-PrepareDiskPath-call
  * Merge pull request #2193 from akruphi/setattr
  * Merge pull request #2196 from spnethw/bootstrap-scripts-corrections
  * Merge pull request #2194 from ctapmex/colorer_sync2
  * Merge pull request #2195 from alexax66/master
  * Merge pull request #2198 from unxed/smarty-fix
  * Backported 1ef8c8cfc2487a91fff300111638dc5f82f94ddc from Colorer-schemes
  * ps.sh -- posix shell compatibility + minor style fixes
  * open.sh -- remove subshell overhead
  * Fix build on DragonflyBSD 6.4. with gcc12
  * minor clean up
  * disable stopping the build on warning message
  * sync with upstream commit d4b9fd7a0033704730bbf1a2d4696cf4d93ebfce
  * setattr (Attributes dialog CtrlA): rearrange + editable octal
  * Add basic support for build and debug with Visual Studio Code
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2181 from spnethw/fix-1745-multiarc-changes
  * add orig CommandType param in ArcCommand ctor call as comment
  * Fix 'Align file extensions' from shmuz (fix #2175)
  * Revert Silent == (OpMode & OPM_FIND) as ArcCommand ctor arg
  * Merge pull request #2176 from spnethw/fix-sudo-move-to-trash
  * Merge pull request #2177 from ctapmex/colorer_sync
  * Merge pull request #2179 from spnethw/fix-2142-restore-positioning-on-files-in-case-of-Shift-F9-too
  * Merge pull request #2180 from unxed/readme
  * Merge pull request #2185 from akruphi/help
  * man actualization & typo in help
  * Help: explain user menu location (after #2184)
  * sync with upstream: fix build on bsd
  * active vs inactive state
  * Merge branch 'elfmz:master' into master
  * Вроде бы дней через 20 в 24.04 должен появиться фикс, так что убрал лишнее
  * logic of setting NeedSudo has been modified, ArcCommand CommandType params fixed
  * moved to original location
  * Merge branch 'master' into readme
  * Added Ubuntu workaround
  * try crash on edit binary files
  * restore positioning on files in panels in case of manual setup saving (Shift-F9) too
  * remove unnecessary PrepareDiskPath call, fix error message according to changes
  * try build on macos
  * handle directory deletion correctly, too
  * check if sudo is required for the dir containing the file to be deleted, not for the file itself
  * fix lang file
  * fix exception
  * Merge pull request #2174 from akruphi/explain_move_symlinks_fix1683
  * fix error, warnings
  * update colorer to latest version
  * bettet ls output parsing
  * minor - quoting words from combobox
  * Move dialog: explaining dirs processing slowly depend on symlink combobox
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2166 from techtonik/docker-build
  * Merge pull request #2167 from techtonik/patch-1
  * TST: update readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)
  * Merge branch 'elfmz:master' into master
  * Simplify Actions workflow
  * Add installation chapter with Docker info
  * Add build in Docker
  * Merge pull request #2165 from anta999/colortest2
  * remove std:min
  * refer testing readme
  * Merge pull request #2161 from techtonik/patch-1
  * Merge branch 'master' of github.com:elfmz/far2l
  * cosmetics
  * Clickable CODESTYLE.md
  * Clickable HACKING.md
  * Update actions to remove build warnings
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2152 from anta999/colortest2
  * Merge pull request #2159 from spnethw/uchardet-minor-fixes
  * Merge pull request #2160 from akruphi/setattr
  * TST: update readme
  * minor fix
  * TST: progress - some real tests now
  * fix dialog pos as it was
  * setattr (Attributes dialog): optimize memory (from far2m)
  * Merge branch 'elfmz:master' into master
  * uchardet: 1) treat ASCII as UTF-8; 2) indentation fixes
  * Merge pull request #2154 from spnethw/fix-2139-nodetect-var-replace-char-ptr-with-dword
  * FAR2L_BACKEND_ABI_VERSION upped, minor indent and style fixes
  * Merge branch 'master' of github.com:elfmz/far2l
  * TST: FS functions etc
  * Merge pull request #2155 from akruphi/setattr
  * setattr (Attributes dialog): prevent duplicates in Owners/Groups (from far2m)
  * TST: socket read timeout (30 seconds by default)
  * TST: few more framework functions, readme cosmetics
  * Merge branch 'elfmz:master' into master
  * cosmetics
  * Tst: more input simulation functions
  * indentation fixes
  * type of nodetect variable changed from char* to dword (now used as bitmask)
  * copylen bug fixed
  * Try 4
  * Try 3
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * try to fix build errors
  * Added some buildin highlights
  * Marks inherit + some fixes
  * Pick color dialogs added
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * when to use the plugin list without restrictions and when with restrictions on how to invoke it
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Font styles added + some chgs
  * Added color masks, color dialog updated and works

 -- elfmz <fenix1905@tut.by>  Tue, 16 Jul 2024 09:57:52 +0300

far2l-core (2.6.1_hotfix1-1) unstable; urgency=low

  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)

 -- elfmz <fenix1905@tut.by>  Wed, 17 Apr 2024 01:06:17 +0300

far2l-core (2.6.1-1) unstable; urgency=low



 -- elfmz <fenix1905@tut.by>  Sat, 13 Apr 2024 20:15:13 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low

  * Bump version to 2.6.2
  * dont use wxTheClipboard->Flush under WXGTK
  * may be fix problem with cursor visibility after command execution (touch #2287)
  * recognize also "msdos" filesystem as case insensitive
  * recognize also exfat as case-insensitive fs
  * colorer: fix compilation under MacOS ElCapitan
  * copy: case-insensitively detect renaming to same folder name in vfat filesystem (touch #2204)
  * NR: bring back 2 and 3 columns modes, just avoid Align file extensions
  * Merge branch 'master' of github.com:elfmz/far2l
  * fallback to regular file if mode doesnt specify file type (fix #2263)
  * Merge pull request #2286 from ctapmex/artifacts-in-editor
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2285 from ctapmex/fix_2277
  * umask override option replaced with use of chmod with possibility to disable it at all (touch #2257)
  * fix fill background in editor
  * Revert "editor/colorer: fix coloring artifacts when rendering strings with characters of nonstandard width (touch #1941)"
  * fix Plugin Colorer crashes #2277
  * Merge pull request #2284 from unxed/fix_wl_clip
  * Merge pull request #2281 from spnethw/filefilter_case_sensitive
  * Merge pull request #2274 from deep-soft/far2l-master
  * Merge pull request #2276 from spnethw/cmpname_body_minor_fix
  * Merge pull request #2273 from akruphi/readme_debian
  * Merge pull request #2282 from akruphi/netrocks
  * fix #2238
  * NetRocks: for site connections list don't use current far2l panel modes
  * allow autofilters to work with extensions in both cases + style
  * update translation
  * add automation
  * add "Case sensitive" option to FileFilter, some refactoring
  * CmpName_Body: handle one missed case + minor style
  * adapt FileFilterParams to work with case(in)sensitive file masks
  * minor
  * add in readme explanation after #2271
  * Update macro.cpp
  * Merge pull request #2267 from spnethw/case_sensitive_fix_improve
  * Merge pull request #2270 from akruphi/hist_escape_fn_ctrlf10_fix
  * Merge pull request #2269 from akruphi/case_sensitive_advcompare
  * minor
  * History AltF8 fix escaping filenames in jump to file by CtrlF10 / F3
  * indent fix
  * revert FileFilter change
  * files highlighting is back case sensitive + style fixes
  * correction position of new functions in struct FarStandardFunctions after @shmuz advice
  * Advanced compare: add (in)sensitive option compare
  * update farlang.templ.m4 for FindFileCase
  * and more minor style fixes
  * more minor style fixes
  * minor style fixes
  * touch issue #2029, attempt to fix case-(in)sensitive option
  * Merge pull request #2265 from akruphi/case_sensitive_findfile
  * FindFile: dialog height minor fix
  * Customize Case (in)sensitive option for file masks in Find file
  * fix possible crash in sdc_readdir/sdc_closedir; minor optimization
  * ma: undo fork() experiment as measurements shown not so much improvements
  * revert libarchive detection workarouns for MacOS
  * fix pre-redraw func crash in certain conditions (fix #2262)
  * ma: refactor..
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * ma: experiment - use fork() instead of executing when extracting files by builtin handler if screen output and sudo are not required. This should make text search in archives much faster for those archive types that extracted using builtin handlers'
  * Merge pull request #2261 from akruphi/case_sensitive_compare_select
  * ma: remove unused code
  * ma: continue refactor
  * ma: minus another two arrays
  * ma: get rid of few more fixed size arrays
  * ma: get rid of some strcpy for a company
  * fix build and some cosmetics
  * multiarc: get rid of most fixed size arrays and all sprintfs
  * Help on Case sensitive when compare or select
  * Customize Case sensitive option for Compare folders and (De)Select in Panels
  * refactor some snprintf-s
  * helpers for trivial int->string conversions; fixed couple other warnings
  * Merge pull request #2260 from rampitec/warn
  * Fixing most of the obvious warnings with clang15 and MacOS.
  * Merge pull request #2255 from akruphi/hist_cmd_dir_in_prefix
  * Merge pull request #2259 from Dazzar56/TabNavFix
  * fix incorrect focus on tab key in DI_RADIOBUTTON
  * Merge pull request #2258 from akruphi/setattr_fix_date_compare
  * Attributes dialog CtrlA: workaround to compare current & initial date
  * typo
  * minor fix: timesep & variables
  * History - use all-far2l date-time format
  * History - add confirmation before remove non-existing entries by Ctrl+R
  * History commands - add path in prefix in Alt+F8
  * Merge pull request #2254 from akruphi/hist_footer
  * refactoring
  * History - more accurately HistoryFooter
  * mostly cosmetic refactor
  * Merge pull request #2253 from akruphi/fix_hist_autocomplete_dups
  * Merge pull request #2252 from akruphi/setattr
  * tests: improve viewer word-wrap testcase
  * tests: viewer word-wrap testcase
  * tests: refactor, testcase for viewer
  * History - fix duplicates in autocomplete after #2241
  * viewer: fix..
  * viewer: more up-scrolling fixes (touch #2246)
  * Attributes dialog CtrlA: mouse db-click only on changeable data times
  * NetRocks CtrlA: hotkeys closely to main far2l CtrlA
  * Attributes dialog CtrlA: show original octal + cosmetics
  * Merge pull request #2239 from unxed/zip_ansi_fix
  * viewer: fix spaces at lines begins when scrolling up in word-wrap mode (touch #2246)
  * Removed LACodepage, actually not needed
  * Merge pull request #2248 from anta999/colortest2
  * Merge pull request #2245 from akruphi/setattr
  * Merge pull request #2244 from m32/master
  * Merge pull request #2251 from spnethw/fix_issue_2207_prevent_crash_on_quick_view
  * prevent crash on Quick View and when calculating folder size
  * Fixed console history clearing crash
  * Attributes dialog CtrlA: dynamically show marks (*) near changed fields + refactoring
  * be quiet
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2241 from akruphi/hist
  * Merge pull request #2242 from anta999/colortest2
  * Merge pull request #2243 from spnethw/futimens-fd-close-fix
  * Add menu option stop wrap on edge
  * close file descriptor after futimens call
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few small fixes
  * History - also add choice "never" for delete duplicates
  * minor fix
  * History - delete duplicates if Name and Extra equal
  * Merge pull request #2240 from makefu/master
  * README: update nixos link to official wiki url
  * Bring ANSI special case back, see https://github.com/elfmz/far2l/issues/2237#issuecomment-2134114585
  * Process archives with ANSI charset correctly. Closes #2237. Passes all my test .zip archives set.
  * alt-f7 and select panel - python opens first found plugin
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2233 from unxed/7zip
  * minor fix
  * Merge pull request #2231 from unxed/7zip
  * Merge pull request #2232 from ctapmex/patch-1
  * revert wrong change
  * minor fixes
  * typo in build.yml
  * 7zz tools, often provided in 7zip package, offers more recent 7zip Linux port comparing to p7zip package version.
  * cosmetic
  * Merge pull request #2206 from anta999/colortest2
  * Merge pull request #2225 from akruphi/explain_setattr_symlinks
  * Merge pull request #2224 from spnethw/scanfilebymapping-fix
  * Merge pull request #2226 from Dazzar56/setattr-hotkeys
  * Merge pull request #2220 from atolismesh/master
  * Merge pull request #2227 from ctapmex/change-ci
  * Merge pull request #2229 from akruphi/fix2223_findfile_del_after_edit_from_panel
  * Merge pull request #2228 from ctapmex/colorer-fs
  * resolve merge conflict
  * fixed initialization of default focused item
  * Fix #2223
  * build on gcc-7; build without std::filesystems
  * sync colorer-library with upstream
  * update ci
  * Merge branch 'elfmz:master' into setattr-hotkeys
  * fix incorrect initial focus highlighting
  * cosmetic: spaces
  * Attributes dialog CtrlA: explanation surprise situation with symlinks properties
  * ScanFileByMapping fix: take into account the exact upper boundary
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2219 from Dazzar56/setattr-hotkeys
  * minor signature correction
  * renamed functions to the local name conventions
  * macrosses replaced for inline functions
  * Update custom.ini
  * Add support for UDF ISO archives and fix custom.ini
  * Merge branch 'elfmz:master' into master
  * some refactoring of dialog.cpp  * ITEM_IS_FOCUSABLE now check for all type of items  * inline CanGetFocus changed for a ITEM_IS_FOCUSABLE macro  * deleted unused code
  * Merge branch 'setattr-hotkeys' of https://github.com/Dazzar56/far2l into setattr-hotkeys
  * Merge pull request #2218 from akruphi/dialog_up_down
  * gap more than one line now considered as separator
  * fine tuning of keyboard movement logic inside of dialog  * take into account DI_BUTTON  * movement by coordinates now happens according to borders in current dialog config  * DI_SINGLEBOX, DI_DOUBLEBOX, DI_VTEXT, and DI_TEXT (with separator Flags) are considered as borders  * complex logic expressions moved into marcoses
  * oops
  * item colors bug fix
  * setattr (Attributes dialog CtrlA): hotkeys correction
  * correct after #2213 vertical keys processing in dialog
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few fixes
  * Merge pull request #2208 from akruphi/date_configure
  * Merge pull request #2215 from ctapmex/github-ci
  * fix clang build
  * Merge pull request #2213 from Dazzar56/setattr-hotkeys
  * Merge pull request #2211 from dstd/history-autohighlight-option
  * Merge pull request #2209 from ctapmex/colorer-openwrt
  * Merge pull request #2212 from unxed/ctrl_yo
  * Merge pull request #2217 from ctapmex/colorer-schemes
  * Merge pull request #2216 from ctapmex/farcolorer_refactoring
  * Date format customization: refactoring
  * Date format customization: more detect formats from locale
  * update colorer schemes
  * new keyboard navigation method now is default * flag DIF_HORIZONTALLAYOUT removed. It`s no longer needed * fix some conflicts in setattr hotkeys
  * refactoring
  * add .clang-format from colorer; reformat farcolorer
  * choose type menu refactoring
  * run workflow 'Artifacts' only on master
  * add new workflow
  * Refactoring
  * restore hotkeys in setattr and add horizontal layout for checkbox and radiobutton
  * fix #2028
  * Fix locale in old systems (FreeBSD,...) + tiny refectoring
  * Date format customization via Interface settings - from locale
  * Option to disable automatic highlights in history lists
  * fix filter in outliner form
  * remove some raw pointers
  * fix clean editor on plugin disable
  * fix error on reenable plugin
  * remove colorer viewer, linux don`t supported
  * clean main module
  * remove ConsoleAnnotation.h; rework truemode
  * remove resource.h
  * restore user settings load
  * unreachable code removed
  * build on openwrt #1615
  * Date format customization: current button + improvement
  * Minor: typo
  * Date format customization via Interface settings
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * RGB Palette Testing
  * NetRocks: add proxychains proxifier support, also now proxifier settings are configured on per-site basis but not one-for-all (touch #2200)
  * Merge pull request #2203 from spnethw/multiarc_check_read_access_to_archive
  * multiarc: check if we have read access to the archive
  * ma/libarch: dont use extraction to /dev/null when testing archive to avoid damaging that /dev/null (fix #2182)
  * fix BreakKeys problem by shmuz (fix #2189)
  * fix no-openssl build (fix #2199)
  * Merge pull request #2202 from akruphi/readme
  * readme minor
  * readme revert spaces
  * readme update
  * Merge pull request #2190 from atolismesh/master
  * Merge pull request #2178 from spnethw/fix-2060-remove-unnecessary-PrepareDiskPath-call
  * Merge pull request #2193 from akruphi/setattr
  * Merge pull request #2196 from spnethw/bootstrap-scripts-corrections
  * Merge pull request #2194 from ctapmex/colorer_sync2
  * Merge pull request #2195 from alexax66/master
  * Merge pull request #2198 from unxed/smarty-fix
  * Backported 1ef8c8cfc2487a91fff300111638dc5f82f94ddc from Colorer-schemes
  * ps.sh -- posix shell compatibility + minor style fixes
  * open.sh -- remove subshell overhead
  * Fix build on DragonflyBSD 6.4. with gcc12
  * minor clean up
  * disable stopping the build on warning message
  * sync with upstream commit d4b9fd7a0033704730bbf1a2d4696cf4d93ebfce
  * setattr (Attributes dialog CtrlA): rearrange + editable octal
  * Add basic support for build and debug with Visual Studio Code
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2181 from spnethw/fix-1745-multiarc-changes
  * add orig CommandType param in ArcCommand ctor call as comment
  * Fix 'Align file extensions' from shmuz (fix #2175)
  * Revert Silent == (OpMode & OPM_FIND) as ArcCommand ctor arg
  * Merge pull request #2176 from spnethw/fix-sudo-move-to-trash
  * Merge pull request #2177 from ctapmex/colorer_sync
  * Merge pull request #2179 from spnethw/fix-2142-restore-positioning-on-files-in-case-of-Shift-F9-too
  * Merge pull request #2180 from unxed/readme
  * Merge pull request #2185 from akruphi/help
  * man actualization & typo in help
  * Help: explain user menu location (after #2184)
  * sync with upstream: fix build on bsd
  * active vs inactive state
  * Merge branch 'elfmz:master' into master
  * Вроде бы дней через 20 в 24.04 должен появиться фикс, так что убрал лишнее
  * logic of setting NeedSudo has been modified, ArcCommand CommandType params fixed
  * moved to original location
  * Merge branch 'master' into readme
  * Added Ubuntu workaround
  * try crash on edit binary files
  * restore positioning on files in panels in case of manual setup saving (Shift-F9) too
  * remove unnecessary PrepareDiskPath call, fix error message according to changes
  * try build on macos
  * handle directory deletion correctly, too
  * check if sudo is required for the dir containing the file to be deleted, not for the file itself
  * fix lang file
  * fix exception
  * Merge pull request #2174 from akruphi/explain_move_symlinks_fix1683
  * fix error, warnings
  * update colorer to latest version
  * bettet ls output parsing
  * minor - quoting words from combobox
  * Move dialog: explaining dirs processing slowly depend on symlink combobox
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2166 from techtonik/docker-build
  * Merge pull request #2167 from techtonik/patch-1
  * TST: update readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)
  * Merge branch 'elfmz:master' into master
  * Simplify Actions workflow
  * Add installation chapter with Docker info
  * Add build in Docker
  * Merge pull request #2165 from anta999/colortest2
  * remove std:min
  * refer testing readme
  * Merge pull request #2161 from techtonik/patch-1
  * Merge branch 'master' of github.com:elfmz/far2l
  * cosmetics
  * Clickable CODESTYLE.md
  * Clickable HACKING.md
  * Update actions to remove build warnings
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2152 from anta999/colortest2
  * Merge pull request #2159 from spnethw/uchardet-minor-fixes
  * Merge pull request #2160 from akruphi/setattr
  * TST: update readme
  * minor fix
  * TST: progress - some real tests now
  * fix dialog pos as it was
  * setattr (Attributes dialog): optimize memory (from far2m)
  * Merge branch 'elfmz:master' into master
  * uchardet: 1) treat ASCII as UTF-8; 2) indentation fixes
  * Merge pull request #2154 from spnethw/fix-2139-nodetect-var-replace-char-ptr-with-dword
  * FAR2L_BACKEND_ABI_VERSION upped, minor indent and style fixes
  * Merge branch 'master' of github.com:elfmz/far2l
  * TST: FS functions etc
  * Merge pull request #2155 from akruphi/setattr
  * setattr (Attributes dialog): prevent duplicates in Owners/Groups (from far2m)
  * TST: socket read timeout (30 seconds by default)
  * TST: few more framework functions, readme cosmetics
  * Merge branch 'elfmz:master' into master
  * cosmetics
  * Tst: more input simulation functions
  * indentation fixes
  * type of nodetect variable changed from char* to dword (now used as bitmask)
  * copylen bug fixed
  * Try 4
  * Try 3
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * try to fix build errors
  * Added some buildin highlights
  * Marks inherit + some fixes
  * Pick color dialogs added
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * when to use the plugin list without restrictions and when with restrictions on how to invoke it
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Font styles added + some chgs
  * Added color masks, color dialog updated and works

 -- elfmz <fenix1905@tut.by>  Tue, 16 Jul 2024 09:57:52 +0300

far2l-core (2.6.1_hotfix1-1) unstable; urgency=low

  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)

 -- elfmz <fenix1905@tut.by>  Wed, 17 Apr 2024 01:06:17 +0300

far2l-core (2.6.1-1) unstable; urgency=low



 -- elfmz <fenix1905@tut.by>  Sat, 13 Apr 2024 20:15:13 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low

  * Bump version to 2.6.2
  * dont use wxTheClipboard->Flush under WXGTK
  * may be fix problem with cursor visibility after command execution (touch #2287)
  * recognize also "msdos" filesystem as case insensitive
  * recognize also exfat as case-insensitive fs
  * colorer: fix compilation under MacOS ElCapitan
  * copy: case-insensitively detect renaming to same folder name in vfat filesystem (touch #2204)
  * NR: bring back 2 and 3 columns modes, just avoid Align file extensions
  * Merge branch 'master' of github.com:elfmz/far2l
  * fallback to regular file if mode doesnt specify file type (fix #2263)
  * Merge pull request #2286 from ctapmex/artifacts-in-editor
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2285 from ctapmex/fix_2277
  * umask override option replaced with use of chmod with possibility to disable it at all (touch #2257)
  * fix fill background in editor
  * Revert "editor/colorer: fix coloring artifacts when rendering strings with characters of nonstandard width (touch #1941)"
  * fix Plugin Colorer crashes #2277
  * Merge pull request #2284 from unxed/fix_wl_clip
  * Merge pull request #2281 from spnethw/filefilter_case_sensitive
  * Merge pull request #2274 from deep-soft/far2l-master
  * Merge pull request #2276 from spnethw/cmpname_body_minor_fix
  * Merge pull request #2273 from akruphi/readme_debian
  * Merge pull request #2282 from akruphi/netrocks
  * fix #2238
  * NetRocks: for site connections list don't use current far2l panel modes
  * allow autofilters to work with extensions in both cases + style
  * update translation
  * add automation
  * add "Case sensitive" option to FileFilter, some refactoring
  * CmpName_Body: handle one missed case + minor style
  * adapt FileFilterParams to work with case(in)sensitive file masks
  * minor
  * add in readme explanation after #2271
  * Update macro.cpp
  * Merge pull request #2267 from spnethw/case_sensitive_fix_improve
  * Merge pull request #2270 from akruphi/hist_escape_fn_ctrlf10_fix
  * Merge pull request #2269 from akruphi/case_sensitive_advcompare
  * minor
  * History AltF8 fix escaping filenames in jump to file by CtrlF10 / F3
  * indent fix
  * revert FileFilter change
  * files highlighting is back case sensitive + style fixes
  * correction position of new functions in struct FarStandardFunctions after @shmuz advice
  * Advanced compare: add (in)sensitive option compare
  * update farlang.templ.m4 for FindFileCase
  * and more minor style fixes
  * more minor style fixes
  * minor style fixes
  * touch issue #2029, attempt to fix case-(in)sensitive option
  * Merge pull request #2265 from akruphi/case_sensitive_findfile
  * FindFile: dialog height minor fix
  * Customize Case (in)sensitive option for file masks in Find file
  * fix possible crash in sdc_readdir/sdc_closedir; minor optimization
  * ma: undo fork() experiment as measurements shown not so much improvements
  * revert libarchive detection workarouns for MacOS
  * fix pre-redraw func crash in certain conditions (fix #2262)
  * ma: refactor..
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * ma: experiment - use fork() instead of executing when extracting files by builtin handler if screen output and sudo are not required. This should make text search in archives much faster for those archive types that extracted using builtin handlers'
  * Merge pull request #2261 from akruphi/case_sensitive_compare_select
  * ma: remove unused code
  * ma: continue refactor
  * ma: minus another two arrays
  * ma: get rid of few more fixed size arrays
  * ma: get rid of some strcpy for a company
  * fix build and some cosmetics
  * multiarc: get rid of most fixed size arrays and all sprintfs
  * Help on Case sensitive when compare or select
  * Customize Case sensitive option for Compare folders and (De)Select in Panels
  * refactor some snprintf-s
  * helpers for trivial int->string conversions; fixed couple other warnings
  * Merge pull request #2260 from rampitec/warn
  * Fixing most of the obvious warnings with clang15 and MacOS.
  * Merge pull request #2255 from akruphi/hist_cmd_dir_in_prefix
  * Merge pull request #2259 from Dazzar56/TabNavFix
  * fix incorrect focus on tab key in DI_RADIOBUTTON
  * Merge pull request #2258 from akruphi/setattr_fix_date_compare
  * Attributes dialog CtrlA: workaround to compare current & initial date
  * typo
  * minor fix: timesep & variables
  * History - use all-far2l date-time format
  * History - add confirmation before remove non-existing entries by Ctrl+R
  * History commands - add path in prefix in Alt+F8
  * Merge pull request #2254 from akruphi/hist_footer
  * refactoring
  * History - more accurately HistoryFooter
  * mostly cosmetic refactor
  * Merge pull request #2253 from akruphi/fix_hist_autocomplete_dups
  * Merge pull request #2252 from akruphi/setattr
  * tests: improve viewer word-wrap testcase
  * tests: viewer word-wrap testcase
  * tests: refactor, testcase for viewer
  * History - fix duplicates in autocomplete after #2241
  * viewer: fix..
  * viewer: more up-scrolling fixes (touch #2246)
  * Attributes dialog CtrlA: mouse db-click only on changeable data times
  * NetRocks CtrlA: hotkeys closely to main far2l CtrlA
  * Attributes dialog CtrlA: show original octal + cosmetics
  * Merge pull request #2239 from unxed/zip_ansi_fix
  * viewer: fix spaces at lines begins when scrolling up in word-wrap mode (touch #2246)
  * Removed LACodepage, actually not needed
  * Merge pull request #2248 from anta999/colortest2
  * Merge pull request #2245 from akruphi/setattr
  * Merge pull request #2244 from m32/master
  * Merge pull request #2251 from spnethw/fix_issue_2207_prevent_crash_on_quick_view
  * prevent crash on Quick View and when calculating folder size
  * Fixed console history clearing crash
  * Attributes dialog CtrlA: dynamically show marks (*) near changed fields + refactoring
  * be quiet
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2241 from akruphi/hist
  * Merge pull request #2242 from anta999/colortest2
  * Merge pull request #2243 from spnethw/futimens-fd-close-fix
  * Add menu option stop wrap on edge
  * close file descriptor after futimens call
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few small fixes
  * History - also add choice "never" for delete duplicates
  * minor fix
  * History - delete duplicates if Name and Extra equal
  * Merge pull request #2240 from makefu/master
  * README: update nixos link to official wiki url
  * Bring ANSI special case back, see https://github.com/elfmz/far2l/issues/2237#issuecomment-2134114585
  * Process archives with ANSI charset correctly. Closes #2237. Passes all my test .zip archives set.
  * alt-f7 and select panel - python opens first found plugin
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2233 from unxed/7zip
  * minor fix
  * Merge pull request #2231 from unxed/7zip
  * Merge pull request #2232 from ctapmex/patch-1
  * revert wrong change
  * minor fixes
  * typo in build.yml
  * 7zz tools, often provided in 7zip package, offers more recent 7zip Linux port comparing to p7zip package version.
  * cosmetic
  * Merge pull request #2206 from anta999/colortest2
  * Merge pull request #2225 from akruphi/explain_setattr_symlinks
  * Merge pull request #2224 from spnethw/scanfilebymapping-fix
  * Merge pull request #2226 from Dazzar56/setattr-hotkeys
  * Merge pull request #2220 from atolismesh/master
  * Merge pull request #2227 from ctapmex/change-ci
  * Merge pull request #2229 from akruphi/fix2223_findfile_del_after_edit_from_panel
  * Merge pull request #2228 from ctapmex/colorer-fs
  * resolve merge conflict
  * fixed initialization of default focused item
  * Fix #2223
  * build on gcc-7; build without std::filesystems
  * sync colorer-library with upstream
  * update ci
  * Merge branch 'elfmz:master' into setattr-hotkeys
  * fix incorrect initial focus highlighting
  * cosmetic: spaces
  * Attributes dialog CtrlA: explanation surprise situation with symlinks properties
  * ScanFileByMapping fix: take into account the exact upper boundary
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2219 from Dazzar56/setattr-hotkeys
  * minor signature correction
  * renamed functions to the local name conventions
  * macrosses replaced for inline functions
  * Update custom.ini
  * Add support for UDF ISO archives and fix custom.ini
  * Merge branch 'elfmz:master' into master
  * some refactoring of dialog.cpp  * ITEM_IS_FOCUSABLE now check for all type of items  * inline CanGetFocus changed for a ITEM_IS_FOCUSABLE macro  * deleted unused code
  * Merge branch 'setattr-hotkeys' of https://github.com/Dazzar56/far2l into setattr-hotkeys
  * Merge pull request #2218 from akruphi/dialog_up_down
  * gap more than one line now considered as separator
  * fine tuning of keyboard movement logic inside of dialog  * take into account DI_BUTTON  * movement by coordinates now happens according to borders in current dialog config  * DI_SINGLEBOX, DI_DOUBLEBOX, DI_VTEXT, and DI_TEXT (with separator Flags) are considered as borders  * complex logic expressions moved into marcoses
  * oops
  * item colors bug fix
  * setattr (Attributes dialog CtrlA): hotkeys correction
  * correct after #2213 vertical keys processing in dialog
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few fixes
  * Merge pull request #2208 from akruphi/date_configure
  * Merge pull request #2215 from ctapmex/github-ci
  * fix clang build
  * Merge pull request #2213 from Dazzar56/setattr-hotkeys
  * Merge pull request #2211 from dstd/history-autohighlight-option
  * Merge pull request #2209 from ctapmex/colorer-openwrt
  * Merge pull request #2212 from unxed/ctrl_yo
  * Merge pull request #2217 from ctapmex/colorer-schemes
  * Merge pull request #2216 from ctapmex/farcolorer_refactoring
  * Date format customization: refactoring
  * Date format customization: more detect formats from locale
  * update colorer schemes
  * new keyboard navigation method now is default * flag DIF_HORIZONTALLAYOUT removed. It`s no longer needed * fix some conflicts in setattr hotkeys
  * refactoring
  * add .clang-format from colorer; reformat farcolorer
  * choose type menu refactoring
  * run workflow 'Artifacts' only on master
  * add new workflow
  * Refactoring
  * restore hotkeys in setattr and add horizontal layout for checkbox and radiobutton
  * fix #2028
  * Fix locale in old systems (FreeBSD,...) + tiny refectoring
  * Date format customization via Interface settings - from locale
  * Option to disable automatic highlights in history lists
  * fix filter in outliner form
  * remove some raw pointers
  * fix clean editor on plugin disable
  * fix error on reenable plugin
  * remove colorer viewer, linux don`t supported
  * clean main module
  * remove ConsoleAnnotation.h; rework truemode
  * remove resource.h
  * restore user settings load
  * unreachable code removed
  * build on openwrt #1615
  * Date format customization: current button + improvement
  * Minor: typo
  * Date format customization via Interface settings
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * RGB Palette Testing
  * NetRocks: add proxychains proxifier support, also now proxifier settings are configured on per-site basis but not one-for-all (touch #2200)
  * Merge pull request #2203 from spnethw/multiarc_check_read_access_to_archive
  * multiarc: check if we have read access to the archive
  * ma/libarch: dont use extraction to /dev/null when testing archive to avoid damaging that /dev/null (fix #2182)
  * fix BreakKeys problem by shmuz (fix #2189)
  * fix no-openssl build (fix #2199)
  * Merge pull request #2202 from akruphi/readme
  * readme minor
  * readme revert spaces
  * readme update
  * Merge pull request #2190 from atolismesh/master
  * Merge pull request #2178 from spnethw/fix-2060-remove-unnecessary-PrepareDiskPath-call
  * Merge pull request #2193 from akruphi/setattr
  * Merge pull request #2196 from spnethw/bootstrap-scripts-corrections
  * Merge pull request #2194 from ctapmex/colorer_sync2
  * Merge pull request #2195 from alexax66/master
  * Merge pull request #2198 from unxed/smarty-fix
  * Backported 1ef8c8cfc2487a91fff300111638dc5f82f94ddc from Colorer-schemes
  * ps.sh -- posix shell compatibility + minor style fixes
  * open.sh -- remove subshell overhead
  * Fix build on DragonflyBSD 6.4. with gcc12
  * minor clean up
  * disable stopping the build on warning message
  * sync with upstream commit d4b9fd7a0033704730bbf1a2d4696cf4d93ebfce
  * setattr (Attributes dialog CtrlA): rearrange + editable octal
  * Add basic support for build and debug with Visual Studio Code
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2181 from spnethw/fix-1745-multiarc-changes
  * add orig CommandType param in ArcCommand ctor call as comment
  * Fix 'Align file extensions' from shmuz (fix #2175)
  * Revert Silent == (OpMode & OPM_FIND) as ArcCommand ctor arg
  * Merge pull request #2176 from spnethw/fix-sudo-move-to-trash
  * Merge pull request #2177 from ctapmex/colorer_sync
  * Merge pull request #2179 from spnethw/fix-2142-restore-positioning-on-files-in-case-of-Shift-F9-too
  * Merge pull request #2180 from unxed/readme
  * Merge pull request #2185 from akruphi/help
  * man actualization & typo in help
  * Help: explain user menu location (after #2184)
  * sync with upstream: fix build on bsd
  * active vs inactive state
  * Merge branch 'elfmz:master' into master
  * Вроде бы дней через 20 в 24.04 должен появиться фикс, так что убрал лишнее
  * logic of setting NeedSudo has been modified, ArcCommand CommandType params fixed
  * moved to original location
  * Merge branch 'master' into readme
  * Added Ubuntu workaround
  * try crash on edit binary files
  * restore positioning on files in panels in case of manual setup saving (Shift-F9) too
  * remove unnecessary PrepareDiskPath call, fix error message according to changes
  * try build on macos
  * handle directory deletion correctly, too
  * check if sudo is required for the dir containing the file to be deleted, not for the file itself
  * fix lang file
  * fix exception
  * Merge pull request #2174 from akruphi/explain_move_symlinks_fix1683
  * fix error, warnings
  * update colorer to latest version
  * bettet ls output parsing
  * minor - quoting words from combobox
  * Move dialog: explaining dirs processing slowly depend on symlink combobox
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2166 from techtonik/docker-build
  * Merge pull request #2167 from techtonik/patch-1
  * TST: update readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)
  * Merge branch 'elfmz:master' into master
  * Simplify Actions workflow
  * Add installation chapter with Docker info
  * Add build in Docker
  * Merge pull request #2165 from anta999/colortest2
  * remove std:min
  * refer testing readme
  * Merge pull request #2161 from techtonik/patch-1
  * Merge branch 'master' of github.com:elfmz/far2l
  * cosmetics
  * Clickable CODESTYLE.md
  * Clickable HACKING.md
  * Update actions to remove build warnings
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2152 from anta999/colortest2
  * Merge pull request #2159 from spnethw/uchardet-minor-fixes
  * Merge pull request #2160 from akruphi/setattr
  * TST: update readme
  * minor fix
  * TST: progress - some real tests now
  * fix dialog pos as it was
  * setattr (Attributes dialog): optimize memory (from far2m)
  * Merge branch 'elfmz:master' into master
  * uchardet: 1) treat ASCII as UTF-8; 2) indentation fixes
  * Merge pull request #2154 from spnethw/fix-2139-nodetect-var-replace-char-ptr-with-dword
  * FAR2L_BACKEND_ABI_VERSION upped, minor indent and style fixes
  * Merge branch 'master' of github.com:elfmz/far2l
  * TST: FS functions etc
  * Merge pull request #2155 from akruphi/setattr
  * setattr (Attributes dialog): prevent duplicates in Owners/Groups (from far2m)
  * TST: socket read timeout (30 seconds by default)
  * TST: few more framework functions, readme cosmetics
  * Merge branch 'elfmz:master' into master
  * cosmetics
  * Tst: more input simulation functions
  * indentation fixes
  * type of nodetect variable changed from char* to dword (now used as bitmask)
  * copylen bug fixed
  * Try 4
  * Try 3
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * try to fix build errors
  * Added some buildin highlights
  * Marks inherit + some fixes
  * Pick color dialogs added
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * when to use the plugin list without restrictions and when with restrictions on how to invoke it
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Font styles added + some chgs
  * Added color masks, color dialog updated and works

 -- elfmz <fenix1905@tut.by>  Tue, 16 Jul 2024 09:57:52 +0300

far2l-core (2.6.1_hotfix1-1) unstable; urgency=low

  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)

 -- elfmz <fenix1905@tut.by>  Wed, 17 Apr 2024 01:06:17 +0300

far2l-core (2.6.1-1) unstable; urgency=low



 -- elfmz <fenix1905@tut.by>  Sat, 13 Apr 2024 20:15:13 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low

  * Bump version to 2.6.2
  * dont use wxTheClipboard->Flush under WXGTK
  * may be fix problem with cursor visibility after command execution (touch #2287)
  * recognize also "msdos" filesystem as case insensitive
  * recognize also exfat as case-insensitive fs
  * colorer: fix compilation under MacOS ElCapitan
  * copy: case-insensitively detect renaming to same folder name in vfat filesystem (touch #2204)
  * NR: bring back 2 and 3 columns modes, just avoid Align file extensions
  * Merge branch 'master' of github.com:elfmz/far2l
  * fallback to regular file if mode doesnt specify file type (fix #2263)
  * Merge pull request #2286 from ctapmex/artifacts-in-editor
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2285 from ctapmex/fix_2277
  * umask override option replaced with use of chmod with possibility to disable it at all (touch #2257)
  * fix fill background in editor
  * Revert "editor/colorer: fix coloring artifacts when rendering strings with characters of nonstandard width (touch #1941)"
  * fix Plugin Colorer crashes #2277
  * Merge pull request #2284 from unxed/fix_wl_clip
  * Merge pull request #2281 from spnethw/filefilter_case_sensitive
  * Merge pull request #2274 from deep-soft/far2l-master
  * Merge pull request #2276 from spnethw/cmpname_body_minor_fix
  * Merge pull request #2273 from akruphi/readme_debian
  * Merge pull request #2282 from akruphi/netrocks
  * fix #2238
  * NetRocks: for site connections list don't use current far2l panel modes
  * allow autofilters to work with extensions in both cases + style
  * update translation
  * add automation
  * add "Case sensitive" option to FileFilter, some refactoring
  * CmpName_Body: handle one missed case + minor style
  * adapt FileFilterParams to work with case(in)sensitive file masks
  * minor
  * add in readme explanation after #2271
  * Update macro.cpp
  * Merge pull request #2267 from spnethw/case_sensitive_fix_improve
  * Merge pull request #2270 from akruphi/hist_escape_fn_ctrlf10_fix
  * Merge pull request #2269 from akruphi/case_sensitive_advcompare
  * minor
  * History AltF8 fix escaping filenames in jump to file by CtrlF10 / F3
  * indent fix
  * revert FileFilter change
  * files highlighting is back case sensitive + style fixes
  * correction position of new functions in struct FarStandardFunctions after @shmuz advice
  * Advanced compare: add (in)sensitive option compare
  * update farlang.templ.m4 for FindFileCase
  * and more minor style fixes
  * more minor style fixes
  * minor style fixes
  * touch issue #2029, attempt to fix case-(in)sensitive option
  * Merge pull request #2265 from akruphi/case_sensitive_findfile
  * FindFile: dialog height minor fix
  * Customize Case (in)sensitive option for file masks in Find file
  * fix possible crash in sdc_readdir/sdc_closedir; minor optimization
  * ma: undo fork() experiment as measurements shown not so much improvements
  * revert libarchive detection workarouns for MacOS
  * fix pre-redraw func crash in certain conditions (fix #2262)
  * ma: refactor..
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * ma: experiment - use fork() instead of executing when extracting files by builtin handler if screen output and sudo are not required. This should make text search in archives much faster for those archive types that extracted using builtin handlers'
  * Merge pull request #2261 from akruphi/case_sensitive_compare_select
  * ma: remove unused code
  * ma: continue refactor
  * ma: minus another two arrays
  * ma: get rid of few more fixed size arrays
  * ma: get rid of some strcpy for a company
  * fix build and some cosmetics
  * multiarc: get rid of most fixed size arrays and all sprintfs
  * Help on Case sensitive when compare or select
  * Customize Case sensitive option for Compare folders and (De)Select in Panels
  * refactor some snprintf-s
  * helpers for trivial int->string conversions; fixed couple other warnings
  * Merge pull request #2260 from rampitec/warn
  * Fixing most of the obvious warnings with clang15 and MacOS.
  * Merge pull request #2255 from akruphi/hist_cmd_dir_in_prefix
  * Merge pull request #2259 from Dazzar56/TabNavFix
  * fix incorrect focus on tab key in DI_RADIOBUTTON
  * Merge pull request #2258 from akruphi/setattr_fix_date_compare
  * Attributes dialog CtrlA: workaround to compare current & initial date
  * typo
  * minor fix: timesep & variables
  * History - use all-far2l date-time format
  * History - add confirmation before remove non-existing entries by Ctrl+R
  * History commands - add path in prefix in Alt+F8
  * Merge pull request #2254 from akruphi/hist_footer
  * refactoring
  * History - more accurately HistoryFooter
  * mostly cosmetic refactor
  * Merge pull request #2253 from akruphi/fix_hist_autocomplete_dups
  * Merge pull request #2252 from akruphi/setattr
  * tests: improve viewer word-wrap testcase
  * tests: viewer word-wrap testcase
  * tests: refactor, testcase for viewer
  * History - fix duplicates in autocomplete after #2241
  * viewer: fix..
  * viewer: more up-scrolling fixes (touch #2246)
  * Attributes dialog CtrlA: mouse db-click only on changeable data times
  * NetRocks CtrlA: hotkeys closely to main far2l CtrlA
  * Attributes dialog CtrlA: show original octal + cosmetics
  * Merge pull request #2239 from unxed/zip_ansi_fix
  * viewer: fix spaces at lines begins when scrolling up in word-wrap mode (touch #2246)
  * Removed LACodepage, actually not needed
  * Merge pull request #2248 from anta999/colortest2
  * Merge pull request #2245 from akruphi/setattr
  * Merge pull request #2244 from m32/master
  * Merge pull request #2251 from spnethw/fix_issue_2207_prevent_crash_on_quick_view
  * prevent crash on Quick View and when calculating folder size
  * Fixed console history clearing crash
  * Attributes dialog CtrlA: dynamically show marks (*) near changed fields + refactoring
  * be quiet
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2241 from akruphi/hist
  * Merge pull request #2242 from anta999/colortest2
  * Merge pull request #2243 from spnethw/futimens-fd-close-fix
  * Add menu option stop wrap on edge
  * close file descriptor after futimens call
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few small fixes
  * History - also add choice "never" for delete duplicates
  * minor fix
  * History - delete duplicates if Name and Extra equal
  * Merge pull request #2240 from makefu/master
  * README: update nixos link to official wiki url
  * Bring ANSI special case back, see https://github.com/elfmz/far2l/issues/2237#issuecomment-2134114585
  * Process archives with ANSI charset correctly. Closes #2237. Passes all my test .zip archives set.
  * alt-f7 and select panel - python opens first found plugin
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2233 from unxed/7zip
  * minor fix
  * Merge pull request #2231 from unxed/7zip
  * Merge pull request #2232 from ctapmex/patch-1
  * revert wrong change
  * minor fixes
  * typo in build.yml
  * 7zz tools, often provided in 7zip package, offers more recent 7zip Linux port comparing to p7zip package version.
  * cosmetic
  * Merge pull request #2206 from anta999/colortest2
  * Merge pull request #2225 from akruphi/explain_setattr_symlinks
  * Merge pull request #2224 from spnethw/scanfilebymapping-fix
  * Merge pull request #2226 from Dazzar56/setattr-hotkeys
  * Merge pull request #2220 from atolismesh/master
  * Merge pull request #2227 from ctapmex/change-ci
  * Merge pull request #2229 from akruphi/fix2223_findfile_del_after_edit_from_panel
  * Merge pull request #2228 from ctapmex/colorer-fs
  * resolve merge conflict
  * fixed initialization of default focused item
  * Fix #2223
  * build on gcc-7; build without std::filesystems
  * sync colorer-library with upstream
  * update ci
  * Merge branch 'elfmz:master' into setattr-hotkeys
  * fix incorrect initial focus highlighting
  * cosmetic: spaces
  * Attributes dialog CtrlA: explanation surprise situation with symlinks properties
  * ScanFileByMapping fix: take into account the exact upper boundary
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2219 from Dazzar56/setattr-hotkeys
  * minor signature correction
  * renamed functions to the local name conventions
  * macrosses replaced for inline functions
  * Update custom.ini
  * Add support for UDF ISO archives and fix custom.ini
  * Merge branch 'elfmz:master' into master
  * some refactoring of dialog.cpp  * ITEM_IS_FOCUSABLE now check for all type of items  * inline CanGetFocus changed for a ITEM_IS_FOCUSABLE macro  * deleted unused code
  * Merge branch 'setattr-hotkeys' of https://github.com/Dazzar56/far2l into setattr-hotkeys
  * Merge pull request #2218 from akruphi/dialog_up_down
  * gap more than one line now considered as separator
  * fine tuning of keyboard movement logic inside of dialog  * take into account DI_BUTTON  * movement by coordinates now happens according to borders in current dialog config  * DI_SINGLEBOX, DI_DOUBLEBOX, DI_VTEXT, and DI_TEXT (with separator Flags) are considered as borders  * complex logic expressions moved into marcoses
  * oops
  * item colors bug fix
  * setattr (Attributes dialog CtrlA): hotkeys correction
  * correct after #2213 vertical keys processing in dialog
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few fixes
  * Merge pull request #2208 from akruphi/date_configure
  * Merge pull request #2215 from ctapmex/github-ci
  * fix clang build
  * Merge pull request #2213 from Dazzar56/setattr-hotkeys
  * Merge pull request #2211 from dstd/history-autohighlight-option
  * Merge pull request #2209 from ctapmex/colorer-openwrt
  * Merge pull request #2212 from unxed/ctrl_yo
  * Merge pull request #2217 from ctapmex/colorer-schemes
  * Merge pull request #2216 from ctapmex/farcolorer_refactoring
  * Date format customization: refactoring
  * Date format customization: more detect formats from locale
  * update colorer schemes
  * new keyboard navigation method now is default * flag DIF_HORIZONTALLAYOUT removed. It`s no longer needed * fix some conflicts in setattr hotkeys
  * refactoring
  * add .clang-format from colorer; reformat farcolorer
  * choose type menu refactoring
  * run workflow 'Artifacts' only on master
  * add new workflow
  * Refactoring
  * restore hotkeys in setattr and add horizontal layout for checkbox and radiobutton
  * fix #2028
  * Fix locale in old systems (FreeBSD,...) + tiny refectoring
  * Date format customization via Interface settings - from locale
  * Option to disable automatic highlights in history lists
  * fix filter in outliner form
  * remove some raw pointers
  * fix clean editor on plugin disable
  * fix error on reenable plugin
  * remove colorer viewer, linux don`t supported
  * clean main module
  * remove ConsoleAnnotation.h; rework truemode
  * remove resource.h
  * restore user settings load
  * unreachable code removed
  * build on openwrt #1615
  * Date format customization: current button + improvement
  * Minor: typo
  * Date format customization via Interface settings
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * RGB Palette Testing
  * NetRocks: add proxychains proxifier support, also now proxifier settings are configured on per-site basis but not one-for-all (touch #2200)
  * Merge pull request #2203 from spnethw/multiarc_check_read_access_to_archive
  * multiarc: check if we have read access to the archive
  * ma/libarch: dont use extraction to /dev/null when testing archive to avoid damaging that /dev/null (fix #2182)
  * fix BreakKeys problem by shmuz (fix #2189)
  * fix no-openssl build (fix #2199)
  * Merge pull request #2202 from akruphi/readme
  * readme minor
  * readme revert spaces
  * readme update
  * Merge pull request #2190 from atolismesh/master
  * Merge pull request #2178 from spnethw/fix-2060-remove-unnecessary-PrepareDiskPath-call
  * Merge pull request #2193 from akruphi/setattr
  * Merge pull request #2196 from spnethw/bootstrap-scripts-corrections
  * Merge pull request #2194 from ctapmex/colorer_sync2
  * Merge pull request #2195 from alexax66/master
  * Merge pull request #2198 from unxed/smarty-fix
  * Backported 1ef8c8cfc2487a91fff300111638dc5f82f94ddc from Colorer-schemes
  * ps.sh -- posix shell compatibility + minor style fixes
  * open.sh -- remove subshell overhead
  * Fix build on DragonflyBSD 6.4. with gcc12
  * minor clean up
  * disable stopping the build on warning message
  * sync with upstream commit d4b9fd7a0033704730bbf1a2d4696cf4d93ebfce
  * setattr (Attributes dialog CtrlA): rearrange + editable octal
  * Add basic support for build and debug with Visual Studio Code
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2181 from spnethw/fix-1745-multiarc-changes
  * add orig CommandType param in ArcCommand ctor call as comment
  * Fix 'Align file extensions' from shmuz (fix #2175)
  * Revert Silent == (OpMode & OPM_FIND) as ArcCommand ctor arg
  * Merge pull request #2176 from spnethw/fix-sudo-move-to-trash
  * Merge pull request #2177 from ctapmex/colorer_sync
  * Merge pull request #2179 from spnethw/fix-2142-restore-positioning-on-files-in-case-of-Shift-F9-too
  * Merge pull request #2180 from unxed/readme
  * Merge pull request #2185 from akruphi/help
  * man actualization & typo in help
  * Help: explain user menu location (after #2184)
  * sync with upstream: fix build on bsd
  * active vs inactive state
  * Merge branch 'elfmz:master' into master
  * Вроде бы дней через 20 в 24.04 должен появиться фикс, так что убрал лишнее
  * logic of setting NeedSudo has been modified, ArcCommand CommandType params fixed
  * moved to original location
  * Merge branch 'master' into readme
  * Added Ubuntu workaround
  * try crash on edit binary files
  * restore positioning on files in panels in case of manual setup saving (Shift-F9) too
  * remove unnecessary PrepareDiskPath call, fix error message according to changes
  * try build on macos
  * handle directory deletion correctly, too
  * check if sudo is required for the dir containing the file to be deleted, not for the file itself
  * fix lang file
  * fix exception
  * Merge pull request #2174 from akruphi/explain_move_symlinks_fix1683
  * fix error, warnings
  * update colorer to latest version
  * bettet ls output parsing
  * minor - quoting words from combobox
  * Move dialog: explaining dirs processing slowly depend on symlink combobox
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2166 from techtonik/docker-build
  * Merge pull request #2167 from techtonik/patch-1
  * TST: update readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)
  * Merge branch 'elfmz:master' into master
  * Simplify Actions workflow
  * Add installation chapter with Docker info
  * Add build in Docker
  * Merge pull request #2165 from anta999/colortest2
  * remove std:min
  * refer testing readme
  * Merge pull request #2161 from techtonik/patch-1
  * Merge branch 'master' of github.com:elfmz/far2l
  * cosmetics
  * Clickable CODESTYLE.md
  * Clickable HACKING.md
  * Update actions to remove build warnings
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2152 from anta999/colortest2
  * Merge pull request #2159 from spnethw/uchardet-minor-fixes
  * Merge pull request #2160 from akruphi/setattr
  * TST: update readme
  * minor fix
  * TST: progress - some real tests now
  * fix dialog pos as it was
  * setattr (Attributes dialog): optimize memory (from far2m)
  * Merge branch 'elfmz:master' into master
  * uchardet: 1) treat ASCII as UTF-8; 2) indentation fixes
  * Merge pull request #2154 from spnethw/fix-2139-nodetect-var-replace-char-ptr-with-dword
  * FAR2L_BACKEND_ABI_VERSION upped, minor indent and style fixes
  * Merge branch 'master' of github.com:elfmz/far2l
  * TST: FS functions etc
  * Merge pull request #2155 from akruphi/setattr
  * setattr (Attributes dialog): prevent duplicates in Owners/Groups (from far2m)
  * TST: socket read timeout (30 seconds by default)
  * TST: few more framework functions, readme cosmetics
  * Merge branch 'elfmz:master' into master
  * cosmetics
  * Tst: more input simulation functions
  * indentation fixes
  * type of nodetect variable changed from char* to dword (now used as bitmask)
  * copylen bug fixed
  * Try 4
  * Try 3
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * try to fix build errors
  * Added some buildin highlights
  * Marks inherit + some fixes
  * Pick color dialogs added
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * when to use the plugin list without restrictions and when with restrictions on how to invoke it
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Font styles added + some chgs
  * Added color masks, color dialog updated and works

 -- elfmz <fenix1905@tut.by>  Tue, 16 Jul 2024 09:57:52 +0300

far2l-core (2.6.1_hotfix1-1) unstable; urgency=low

  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)

 -- elfmz <fenix1905@tut.by>  Wed, 17 Apr 2024 01:06:17 +0300

far2l-core (2.6.1-1) unstable; urgency=low



 -- elfmz <fenix1905@tut.by>  Sat, 13 Apr 2024 20:15:13 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low

  * Bump version to 2.6.2
  * dont use wxTheClipboard->Flush under WXGTK
  * may be fix problem with cursor visibility after command execution (touch #2287)
  * recognize also "msdos" filesystem as case insensitive
  * recognize also exfat as case-insensitive fs
  * colorer: fix compilation under MacOS ElCapitan
  * copy: case-insensitively detect renaming to same folder name in vfat filesystem (touch #2204)
  * NR: bring back 2 and 3 columns modes, just avoid Align file extensions
  * Merge branch 'master' of github.com:elfmz/far2l
  * fallback to regular file if mode doesnt specify file type (fix #2263)
  * Merge pull request #2286 from ctapmex/artifacts-in-editor
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2285 from ctapmex/fix_2277
  * umask override option replaced with use of chmod with possibility to disable it at all (touch #2257)
  * fix fill background in editor
  * Revert "editor/colorer: fix coloring artifacts when rendering strings with characters of nonstandard width (touch #1941)"
  * fix Plugin Colorer crashes #2277
  * Merge pull request #2284 from unxed/fix_wl_clip
  * Merge pull request #2281 from spnethw/filefilter_case_sensitive
  * Merge pull request #2274 from deep-soft/far2l-master
  * Merge pull request #2276 from spnethw/cmpname_body_minor_fix
  * Merge pull request #2273 from akruphi/readme_debian
  * Merge pull request #2282 from akruphi/netrocks
  * fix #2238
  * NetRocks: for site connections list don't use current far2l panel modes
  * allow autofilters to work with extensions in both cases + style
  * update translation
  * add automation
  * add "Case sensitive" option to FileFilter, some refactoring
  * CmpName_Body: handle one missed case + minor style
  * adapt FileFilterParams to work with case(in)sensitive file masks
  * minor
  * add in readme explanation after #2271
  * Update macro.cpp
  * Merge pull request #2267 from spnethw/case_sensitive_fix_improve
  * Merge pull request #2270 from akruphi/hist_escape_fn_ctrlf10_fix
  * Merge pull request #2269 from akruphi/case_sensitive_advcompare
  * minor
  * History AltF8 fix escaping filenames in jump to file by CtrlF10 / F3
  * indent fix
  * revert FileFilter change
  * files highlighting is back case sensitive + style fixes
  * correction position of new functions in struct FarStandardFunctions after @shmuz advice
  * Advanced compare: add (in)sensitive option compare
  * update farlang.templ.m4 for FindFileCase
  * and more minor style fixes
  * more minor style fixes
  * minor style fixes
  * touch issue #2029, attempt to fix case-(in)sensitive option
  * Merge pull request #2265 from akruphi/case_sensitive_findfile
  * FindFile: dialog height minor fix
  * Customize Case (in)sensitive option for file masks in Find file
  * fix possible crash in sdc_readdir/sdc_closedir; minor optimization
  * ma: undo fork() experiment as measurements shown not so much improvements
  * revert libarchive detection workarouns for MacOS
  * fix pre-redraw func crash in certain conditions (fix #2262)
  * ma: refactor..
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * ma: experiment - use fork() instead of executing when extracting files by builtin handler if screen output and sudo are not required. This should make text search in archives much faster for those archive types that extracted using builtin handlers'
  * Merge pull request #2261 from akruphi/case_sensitive_compare_select
  * ma: remove unused code
  * ma: continue refactor
  * ma: minus another two arrays
  * ma: get rid of few more fixed size arrays
  * ma: get rid of some strcpy for a company
  * fix build and some cosmetics
  * multiarc: get rid of most fixed size arrays and all sprintfs
  * Help on Case sensitive when compare or select
  * Customize Case sensitive option for Compare folders and (De)Select in Panels
  * refactor some snprintf-s
  * helpers for trivial int->string conversions; fixed couple other warnings
  * Merge pull request #2260 from rampitec/warn
  * Fixing most of the obvious warnings with clang15 and MacOS.
  * Merge pull request #2255 from akruphi/hist_cmd_dir_in_prefix
  * Merge pull request #2259 from Dazzar56/TabNavFix
  * fix incorrect focus on tab key in DI_RADIOBUTTON
  * Merge pull request #2258 from akruphi/setattr_fix_date_compare
  * Attributes dialog CtrlA: workaround to compare current & initial date
  * typo
  * minor fix: timesep & variables
  * History - use all-far2l date-time format
  * History - add confirmation before remove non-existing entries by Ctrl+R
  * History commands - add path in prefix in Alt+F8
  * Merge pull request #2254 from akruphi/hist_footer
  * refactoring
  * History - more accurately HistoryFooter
  * mostly cosmetic refactor
  * Merge pull request #2253 from akruphi/fix_hist_autocomplete_dups
  * Merge pull request #2252 from akruphi/setattr
  * tests: improve viewer word-wrap testcase
  * tests: viewer word-wrap testcase
  * tests: refactor, testcase for viewer
  * History - fix duplicates in autocomplete after #2241
  * viewer: fix..
  * viewer: more up-scrolling fixes (touch #2246)
  * Attributes dialog CtrlA: mouse db-click only on changeable data times
  * NetRocks CtrlA: hotkeys closely to main far2l CtrlA
  * Attributes dialog CtrlA: show original octal + cosmetics
  * Merge pull request #2239 from unxed/zip_ansi_fix
  * viewer: fix spaces at lines begins when scrolling up in word-wrap mode (touch #2246)
  * Removed LACodepage, actually not needed
  * Merge pull request #2248 from anta999/colortest2
  * Merge pull request #2245 from akruphi/setattr
  * Merge pull request #2244 from m32/master
  * Merge pull request #2251 from spnethw/fix_issue_2207_prevent_crash_on_quick_view
  * prevent crash on Quick View and when calculating folder size
  * Fixed console history clearing crash
  * Attributes dialog CtrlA: dynamically show marks (*) near changed fields + refactoring
  * be quiet
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2241 from akruphi/hist
  * Merge pull request #2242 from anta999/colortest2
  * Merge pull request #2243 from spnethw/futimens-fd-close-fix
  * Add menu option stop wrap on edge
  * close file descriptor after futimens call
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few small fixes
  * History - also add choice "never" for delete duplicates
  * minor fix
  * History - delete duplicates if Name and Extra equal
  * Merge pull request #2240 from makefu/master
  * README: update nixos link to official wiki url
  * Bring ANSI special case back, see https://github.com/elfmz/far2l/issues/2237#issuecomment-2134114585
  * Process archives with ANSI charset correctly. Closes #2237. Passes all my test .zip archives set.
  * alt-f7 and select panel - python opens first found plugin
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2233 from unxed/7zip
  * minor fix
  * Merge pull request #2231 from unxed/7zip
  * Merge pull request #2232 from ctapmex/patch-1
  * revert wrong change
  * minor fixes
  * typo in build.yml
  * 7zz tools, often provided in 7zip package, offers more recent 7zip Linux port comparing to p7zip package version.
  * cosmetic
  * Merge pull request #2206 from anta999/colortest2
  * Merge pull request #2225 from akruphi/explain_setattr_symlinks
  * Merge pull request #2224 from spnethw/scanfilebymapping-fix
  * Merge pull request #2226 from Dazzar56/setattr-hotkeys
  * Merge pull request #2220 from atolismesh/master
  * Merge pull request #2227 from ctapmex/change-ci
  * Merge pull request #2229 from akruphi/fix2223_findfile_del_after_edit_from_panel
  * Merge pull request #2228 from ctapmex/colorer-fs
  * resolve merge conflict
  * fixed initialization of default focused item
  * Fix #2223
  * build on gcc-7; build without std::filesystems
  * sync colorer-library with upstream
  * update ci
  * Merge branch 'elfmz:master' into setattr-hotkeys
  * fix incorrect initial focus highlighting
  * cosmetic: spaces
  * Attributes dialog CtrlA: explanation surprise situation with symlinks properties
  * ScanFileByMapping fix: take into account the exact upper boundary
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2219 from Dazzar56/setattr-hotkeys
  * minor signature correction
  * renamed functions to the local name conventions
  * macrosses replaced for inline functions
  * Update custom.ini
  * Add support for UDF ISO archives and fix custom.ini
  * Merge branch 'elfmz:master' into master
  * some refactoring of dialog.cpp  * ITEM_IS_FOCUSABLE now check for all type of items  * inline CanGetFocus changed for a ITEM_IS_FOCUSABLE macro  * deleted unused code
  * Merge branch 'setattr-hotkeys' of https://github.com/Dazzar56/far2l into setattr-hotkeys
  * Merge pull request #2218 from akruphi/dialog_up_down
  * gap more than one line now considered as separator
  * fine tuning of keyboard movement logic inside of dialog  * take into account DI_BUTTON  * movement by coordinates now happens according to borders in current dialog config  * DI_SINGLEBOX, DI_DOUBLEBOX, DI_VTEXT, and DI_TEXT (with separator Flags) are considered as borders  * complex logic expressions moved into marcoses
  * oops
  * item colors bug fix
  * setattr (Attributes dialog CtrlA): hotkeys correction
  * correct after #2213 vertical keys processing in dialog
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few fixes
  * Merge pull request #2208 from akruphi/date_configure
  * Merge pull request #2215 from ctapmex/github-ci
  * fix clang build
  * Merge pull request #2213 from Dazzar56/setattr-hotkeys
  * Merge pull request #2211 from dstd/history-autohighlight-option
  * Merge pull request #2209 from ctapmex/colorer-openwrt
  * Merge pull request #2212 from unxed/ctrl_yo
  * Merge pull request #2217 from ctapmex/colorer-schemes
  * Merge pull request #2216 from ctapmex/farcolorer_refactoring
  * Date format customization: refactoring
  * Date format customization: more detect formats from locale
  * update colorer schemes
  * new keyboard navigation method now is default * flag DIF_HORIZONTALLAYOUT removed. It`s no longer needed * fix some conflicts in setattr hotkeys
  * refactoring
  * add .clang-format from colorer; reformat farcolorer
  * choose type menu refactoring
  * run workflow 'Artifacts' only on master
  * add new workflow
  * Refactoring
  * restore hotkeys in setattr and add horizontal layout for checkbox and radiobutton
  * fix #2028
  * Fix locale in old systems (FreeBSD,...) + tiny refectoring
  * Date format customization via Interface settings - from locale
  * Option to disable automatic highlights in history lists
  * fix filter in outliner form
  * remove some raw pointers
  * fix clean editor on plugin disable
  * fix error on reenable plugin
  * remove colorer viewer, linux don`t supported
  * clean main module
  * remove ConsoleAnnotation.h; rework truemode
  * remove resource.h
  * restore user settings load
  * unreachable code removed
  * build on openwrt #1615
  * Date format customization: current button + improvement
  * Minor: typo
  * Date format customization via Interface settings
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * RGB Palette Testing
  * NetRocks: add proxychains proxifier support, also now proxifier settings are configured on per-site basis but not one-for-all (touch #2200)
  * Merge pull request #2203 from spnethw/multiarc_check_read_access_to_archive
  * multiarc: check if we have read access to the archive
  * ma/libarch: dont use extraction to /dev/null when testing archive to avoid damaging that /dev/null (fix #2182)
  * fix BreakKeys problem by shmuz (fix #2189)
  * fix no-openssl build (fix #2199)
  * Merge pull request #2202 from akruphi/readme
  * readme minor
  * readme revert spaces
  * readme update
  * Merge pull request #2190 from atolismesh/master
  * Merge pull request #2178 from spnethw/fix-2060-remove-unnecessary-PrepareDiskPath-call
  * Merge pull request #2193 from akruphi/setattr
  * Merge pull request #2196 from spnethw/bootstrap-scripts-corrections
  * Merge pull request #2194 from ctapmex/colorer_sync2
  * Merge pull request #2195 from alexax66/master
  * Merge pull request #2198 from unxed/smarty-fix
  * Backported 1ef8c8cfc2487a91fff300111638dc5f82f94ddc from Colorer-schemes
  * ps.sh -- posix shell compatibility + minor style fixes
  * open.sh -- remove subshell overhead
  * Fix build on DragonflyBSD 6.4. with gcc12
  * minor clean up
  * disable stopping the build on warning message
  * sync with upstream commit d4b9fd7a0033704730bbf1a2d4696cf4d93ebfce
  * setattr (Attributes dialog CtrlA): rearrange + editable octal
  * Add basic support for build and debug with Visual Studio Code
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2181 from spnethw/fix-1745-multiarc-changes
  * add orig CommandType param in ArcCommand ctor call as comment
  * Fix 'Align file extensions' from shmuz (fix #2175)
  * Revert Silent == (OpMode & OPM_FIND) as ArcCommand ctor arg
  * Merge pull request #2176 from spnethw/fix-sudo-move-to-trash
  * Merge pull request #2177 from ctapmex/colorer_sync
  * Merge pull request #2179 from spnethw/fix-2142-restore-positioning-on-files-in-case-of-Shift-F9-too
  * Merge pull request #2180 from unxed/readme
  * Merge pull request #2185 from akruphi/help
  * man actualization & typo in help
  * Help: explain user menu location (after #2184)
  * sync with upstream: fix build on bsd
  * active vs inactive state
  * Merge branch 'elfmz:master' into master
  * Вроде бы дней через 20 в 24.04 должен появиться фикс, так что убрал лишнее
  * logic of setting NeedSudo has been modified, ArcCommand CommandType params fixed
  * moved to original location
  * Merge branch 'master' into readme
  * Added Ubuntu workaround
  * try crash on edit binary files
  * restore positioning on files in panels in case of manual setup saving (Shift-F9) too
  * remove unnecessary PrepareDiskPath call, fix error message according to changes
  * try build on macos
  * handle directory deletion correctly, too
  * check if sudo is required for the dir containing the file to be deleted, not for the file itself
  * fix lang file
  * fix exception
  * Merge pull request #2174 from akruphi/explain_move_symlinks_fix1683
  * fix error, warnings
  * update colorer to latest version
  * bettet ls output parsing
  * minor - quoting words from combobox
  * Move dialog: explaining dirs processing slowly depend on symlink combobox
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2166 from techtonik/docker-build
  * Merge pull request #2167 from techtonik/patch-1
  * TST: update readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)
  * Merge branch 'elfmz:master' into master
  * Simplify Actions workflow
  * Add installation chapter with Docker info
  * Add build in Docker
  * Merge pull request #2165 from anta999/colortest2
  * remove std:min
  * refer testing readme
  * Merge pull request #2161 from techtonik/patch-1
  * Merge branch 'master' of github.com:elfmz/far2l
  * cosmetics
  * Clickable CODESTYLE.md
  * Clickable HACKING.md
  * Update actions to remove build warnings
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2152 from anta999/colortest2
  * Merge pull request #2159 from spnethw/uchardet-minor-fixes
  * Merge pull request #2160 from akruphi/setattr
  * TST: update readme
  * minor fix
  * TST: progress - some real tests now
  * fix dialog pos as it was
  * setattr (Attributes dialog): optimize memory (from far2m)
  * Merge branch 'elfmz:master' into master
  * uchardet: 1) treat ASCII as UTF-8; 2) indentation fixes
  * Merge pull request #2154 from spnethw/fix-2139-nodetect-var-replace-char-ptr-with-dword
  * FAR2L_BACKEND_ABI_VERSION upped, minor indent and style fixes
  * Merge branch 'master' of github.com:elfmz/far2l
  * TST: FS functions etc
  * Merge pull request #2155 from akruphi/setattr
  * setattr (Attributes dialog): prevent duplicates in Owners/Groups (from far2m)
  * TST: socket read timeout (30 seconds by default)
  * TST: few more framework functions, readme cosmetics
  * Merge branch 'elfmz:master' into master
  * cosmetics
  * Tst: more input simulation functions
  * indentation fixes
  * type of nodetect variable changed from char* to dword (now used as bitmask)
  * copylen bug fixed
  * Try 4
  * Try 3
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * try to fix build errors
  * Added some buildin highlights
  * Marks inherit + some fixes
  * Pick color dialogs added
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * when to use the plugin list without restrictions and when with restrictions on how to invoke it
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Font styles added + some chgs
  * Added color masks, color dialog updated and works

 -- elfmz <fenix1905@tut.by>  Tue, 16 Jul 2024 09:57:52 +0300

far2l-core (2.6.1_hotfix1-1) unstable; urgency=low

  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)

 -- elfmz <fenix1905@tut.by>  Wed, 17 Apr 2024 01:06:17 +0300

far2l-core (2.6.1-1) unstable; urgency=low



 -- elfmz <fenix1905@tut.by>  Sat, 13 Apr 2024 20:15:13 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low

  * Bump version to 2.6.2
  * dont use wxTheClipboard->Flush under WXGTK
  * may be fix problem with cursor visibility after command execution (touch #2287)
  * recognize also "msdos" filesystem as case insensitive
  * recognize also exfat as case-insensitive fs
  * colorer: fix compilation under MacOS ElCapitan
  * copy: case-insensitively detect renaming to same folder name in vfat filesystem (touch #2204)
  * NR: bring back 2 and 3 columns modes, just avoid Align file extensions
  * Merge branch 'master' of github.com:elfmz/far2l
  * fallback to regular file if mode doesnt specify file type (fix #2263)
  * Merge pull request #2286 from ctapmex/artifacts-in-editor
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2285 from ctapmex/fix_2277
  * umask override option replaced with use of chmod with possibility to disable it at all (touch #2257)
  * fix fill background in editor
  * Revert "editor/colorer: fix coloring artifacts when rendering strings with characters of nonstandard width (touch #1941)"
  * fix Plugin Colorer crashes #2277
  * Merge pull request #2284 from unxed/fix_wl_clip
  * Merge pull request #2281 from spnethw/filefilter_case_sensitive
  * Merge pull request #2274 from deep-soft/far2l-master
  * Merge pull request #2276 from spnethw/cmpname_body_minor_fix
  * Merge pull request #2273 from akruphi/readme_debian
  * Merge pull request #2282 from akruphi/netrocks
  * fix #2238
  * NetRocks: for site connections list don't use current far2l panel modes
  * allow autofilters to work with extensions in both cases + style
  * update translation
  * add automation
  * add "Case sensitive" option to FileFilter, some refactoring
  * CmpName_Body: handle one missed case + minor style
  * adapt FileFilterParams to work with case(in)sensitive file masks
  * minor
  * add in readme explanation after #2271
  * Update macro.cpp
  * Merge pull request #2267 from spnethw/case_sensitive_fix_improve
  * Merge pull request #2270 from akruphi/hist_escape_fn_ctrlf10_fix
  * Merge pull request #2269 from akruphi/case_sensitive_advcompare
  * minor
  * History AltF8 fix escaping filenames in jump to file by CtrlF10 / F3
  * indent fix
  * revert FileFilter change
  * files highlighting is back case sensitive + style fixes
  * correction position of new functions in struct FarStandardFunctions after @shmuz advice
  * Advanced compare: add (in)sensitive option compare
  * update farlang.templ.m4 for FindFileCase
  * and more minor style fixes
  * more minor style fixes
  * minor style fixes
  * touch issue #2029, attempt to fix case-(in)sensitive option
  * Merge pull request #2265 from akruphi/case_sensitive_findfile
  * FindFile: dialog height minor fix
  * Customize Case (in)sensitive option for file masks in Find file
  * fix possible crash in sdc_readdir/sdc_closedir; minor optimization
  * ma: undo fork() experiment as measurements shown not so much improvements
  * revert libarchive detection workarouns for MacOS
  * fix pre-redraw func crash in certain conditions (fix #2262)
  * ma: refactor..
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * ma: experiment - use fork() instead of executing when extracting files by builtin handler if screen output and sudo are not required. This should make text search in archives much faster for those archive types that extracted using builtin handlers'
  * Merge pull request #2261 from akruphi/case_sensitive_compare_select
  * ma: remove unused code
  * ma: continue refactor
  * ma: minus another two arrays
  * ma: get rid of few more fixed size arrays
  * ma: get rid of some strcpy for a company
  * fix build and some cosmetics
  * multiarc: get rid of most fixed size arrays and all sprintfs
  * Help on Case sensitive when compare or select
  * Customize Case sensitive option for Compare folders and (De)Select in Panels
  * refactor some snprintf-s
  * helpers for trivial int->string conversions; fixed couple other warnings
  * Merge pull request #2260 from rampitec/warn
  * Fixing most of the obvious warnings with clang15 and MacOS.
  * Merge pull request #2255 from akruphi/hist_cmd_dir_in_prefix
  * Merge pull request #2259 from Dazzar56/TabNavFix
  * fix incorrect focus on tab key in DI_RADIOBUTTON
  * Merge pull request #2258 from akruphi/setattr_fix_date_compare
  * Attributes dialog CtrlA: workaround to compare current & initial date
  * typo
  * minor fix: timesep & variables
  * History - use all-far2l date-time format
  * History - add confirmation before remove non-existing entries by Ctrl+R
  * History commands - add path in prefix in Alt+F8
  * Merge pull request #2254 from akruphi/hist_footer
  * refactoring
  * History - more accurately HistoryFooter
  * mostly cosmetic refactor
  * Merge pull request #2253 from akruphi/fix_hist_autocomplete_dups
  * Merge pull request #2252 from akruphi/setattr
  * tests: improve viewer word-wrap testcase
  * tests: viewer word-wrap testcase
  * tests: refactor, testcase for viewer
  * History - fix duplicates in autocomplete after #2241
  * viewer: fix..
  * viewer: more up-scrolling fixes (touch #2246)
  * Attributes dialog CtrlA: mouse db-click only on changeable data times
  * NetRocks CtrlA: hotkeys closely to main far2l CtrlA
  * Attributes dialog CtrlA: show original octal + cosmetics
  * Merge pull request #2239 from unxed/zip_ansi_fix
  * viewer: fix spaces at lines begins when scrolling up in word-wrap mode (touch #2246)
  * Removed LACodepage, actually not needed
  * Merge pull request #2248 from anta999/colortest2
  * Merge pull request #2245 from akruphi/setattr
  * Merge pull request #2244 from m32/master
  * Merge pull request #2251 from spnethw/fix_issue_2207_prevent_crash_on_quick_view
  * prevent crash on Quick View and when calculating folder size
  * Fixed console history clearing crash
  * Attributes dialog CtrlA: dynamically show marks (*) near changed fields + refactoring
  * be quiet
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2241 from akruphi/hist
  * Merge pull request #2242 from anta999/colortest2
  * Merge pull request #2243 from spnethw/futimens-fd-close-fix
  * Add menu option stop wrap on edge
  * close file descriptor after futimens call
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few small fixes
  * History - also add choice "never" for delete duplicates
  * minor fix
  * History - delete duplicates if Name and Extra equal
  * Merge pull request #2240 from makefu/master
  * README: update nixos link to official wiki url
  * Bring ANSI special case back, see https://github.com/elfmz/far2l/issues/2237#issuecomment-2134114585
  * Process archives with ANSI charset correctly. Closes #2237. Passes all my test .zip archives set.
  * alt-f7 and select panel - python opens first found plugin
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2233 from unxed/7zip
  * minor fix
  * Merge pull request #2231 from unxed/7zip
  * Merge pull request #2232 from ctapmex/patch-1
  * revert wrong change
  * minor fixes
  * typo in build.yml
  * 7zz tools, often provided in 7zip package, offers more recent 7zip Linux port comparing to p7zip package version.
  * cosmetic
  * Merge pull request #2206 from anta999/colortest2
  * Merge pull request #2225 from akruphi/explain_setattr_symlinks
  * Merge pull request #2224 from spnethw/scanfilebymapping-fix
  * Merge pull request #2226 from Dazzar56/setattr-hotkeys
  * Merge pull request #2220 from atolismesh/master
  * Merge pull request #2227 from ctapmex/change-ci
  * Merge pull request #2229 from akruphi/fix2223_findfile_del_after_edit_from_panel
  * Merge pull request #2228 from ctapmex/colorer-fs
  * resolve merge conflict
  * fixed initialization of default focused item
  * Fix #2223
  * build on gcc-7; build without std::filesystems
  * sync colorer-library with upstream
  * update ci
  * Merge branch 'elfmz:master' into setattr-hotkeys
  * fix incorrect initial focus highlighting
  * cosmetic: spaces
  * Attributes dialog CtrlA: explanation surprise situation with symlinks properties
  * ScanFileByMapping fix: take into account the exact upper boundary
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2219 from Dazzar56/setattr-hotkeys
  * minor signature correction
  * renamed functions to the local name conventions
  * macrosses replaced for inline functions
  * Update custom.ini
  * Add support for UDF ISO archives and fix custom.ini
  * Merge branch 'elfmz:master' into master
  * some refactoring of dialog.cpp  * ITEM_IS_FOCUSABLE now check for all type of items  * inline CanGetFocus changed for a ITEM_IS_FOCUSABLE macro  * deleted unused code
  * Merge branch 'setattr-hotkeys' of https://github.com/Dazzar56/far2l into setattr-hotkeys
  * Merge pull request #2218 from akruphi/dialog_up_down
  * gap more than one line now considered as separator
  * fine tuning of keyboard movement logic inside of dialog  * take into account DI_BUTTON  * movement by coordinates now happens according to borders in current dialog config  * DI_SINGLEBOX, DI_DOUBLEBOX, DI_VTEXT, and DI_TEXT (with separator Flags) are considered as borders  * complex logic expressions moved into marcoses
  * oops
  * item colors bug fix
  * setattr (Attributes dialog CtrlA): hotkeys correction
  * correct after #2213 vertical keys processing in dialog
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few fixes
  * Merge pull request #2208 from akruphi/date_configure
  * Merge pull request #2215 from ctapmex/github-ci
  * fix clang build
  * Merge pull request #2213 from Dazzar56/setattr-hotkeys
  * Merge pull request #2211 from dstd/history-autohighlight-option
  * Merge pull request #2209 from ctapmex/colorer-openwrt
  * Merge pull request #2212 from unxed/ctrl_yo
  * Merge pull request #2217 from ctapmex/colorer-schemes
  * Merge pull request #2216 from ctapmex/farcolorer_refactoring
  * Date format customization: refactoring
  * Date format customization: more detect formats from locale
  * update colorer schemes
  * new keyboard navigation method now is default * flag DIF_HORIZONTALLAYOUT removed. It`s no longer needed * fix some conflicts in setattr hotkeys
  * refactoring
  * add .clang-format from colorer; reformat farcolorer
  * choose type menu refactoring
  * run workflow 'Artifacts' only on master
  * add new workflow
  * Refactoring
  * restore hotkeys in setattr and add horizontal layout for checkbox and radiobutton
  * fix #2028
  * Fix locale in old systems (FreeBSD,...) + tiny refectoring
  * Date format customization via Interface settings - from locale
  * Option to disable automatic highlights in history lists
  * fix filter in outliner form
  * remove some raw pointers
  * fix clean editor on plugin disable
  * fix error on reenable plugin
  * remove colorer viewer, linux don`t supported
  * clean main module
  * remove ConsoleAnnotation.h; rework truemode
  * remove resource.h
  * restore user settings load
  * unreachable code removed
  * build on openwrt #1615
  * Date format customization: current button + improvement
  * Minor: typo
  * Date format customization via Interface settings
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * RGB Palette Testing
  * NetRocks: add proxychains proxifier support, also now proxifier settings are configured on per-site basis but not one-for-all (touch #2200)
  * Merge pull request #2203 from spnethw/multiarc_check_read_access_to_archive
  * multiarc: check if we have read access to the archive
  * ma/libarch: dont use extraction to /dev/null when testing archive to avoid damaging that /dev/null (fix #2182)
  * fix BreakKeys problem by shmuz (fix #2189)
  * fix no-openssl build (fix #2199)
  * Merge pull request #2202 from akruphi/readme
  * readme minor
  * readme revert spaces
  * readme update
  * Merge pull request #2190 from atolismesh/master
  * Merge pull request #2178 from spnethw/fix-2060-remove-unnecessary-PrepareDiskPath-call
  * Merge pull request #2193 from akruphi/setattr
  * Merge pull request #2196 from spnethw/bootstrap-scripts-corrections
  * Merge pull request #2194 from ctapmex/colorer_sync2
  * Merge pull request #2195 from alexax66/master
  * Merge pull request #2198 from unxed/smarty-fix
  * Backported 1ef8c8cfc2487a91fff300111638dc5f82f94ddc from Colorer-schemes
  * ps.sh -- posix shell compatibility + minor style fixes
  * open.sh -- remove subshell overhead
  * Fix build on DragonflyBSD 6.4. with gcc12
  * minor clean up
  * disable stopping the build on warning message
  * sync with upstream commit d4b9fd7a0033704730bbf1a2d4696cf4d93ebfce
  * setattr (Attributes dialog CtrlA): rearrange + editable octal
  * Add basic support for build and debug with Visual Studio Code
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2181 from spnethw/fix-1745-multiarc-changes
  * add orig CommandType param in ArcCommand ctor call as comment
  * Fix 'Align file extensions' from shmuz (fix #2175)
  * Revert Silent == (OpMode & OPM_FIND) as ArcCommand ctor arg
  * Merge pull request #2176 from spnethw/fix-sudo-move-to-trash
  * Merge pull request #2177 from ctapmex/colorer_sync
  * Merge pull request #2179 from spnethw/fix-2142-restore-positioning-on-files-in-case-of-Shift-F9-too
  * Merge pull request #2180 from unxed/readme
  * Merge pull request #2185 from akruphi/help
  * man actualization & typo in help
  * Help: explain user menu location (after #2184)
  * sync with upstream: fix build on bsd
  * active vs inactive state
  * Merge branch 'elfmz:master' into master
  * Вроде бы дней через 20 в 24.04 должен появиться фикс, так что убрал лишнее
  * logic of setting NeedSudo has been modified, ArcCommand CommandType params fixed
  * moved to original location
  * Merge branch 'master' into readme
  * Added Ubuntu workaround
  * try crash on edit binary files
  * restore positioning on files in panels in case of manual setup saving (Shift-F9) too
  * remove unnecessary PrepareDiskPath call, fix error message according to changes
  * try build on macos
  * handle directory deletion correctly, too
  * check if sudo is required for the dir containing the file to be deleted, not for the file itself
  * fix lang file
  * fix exception
  * Merge pull request #2174 from akruphi/explain_move_symlinks_fix1683
  * fix error, warnings
  * update colorer to latest version
  * bettet ls output parsing
  * minor - quoting words from combobox
  * Move dialog: explaining dirs processing slowly depend on symlink combobox
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2166 from techtonik/docker-build
  * Merge pull request #2167 from techtonik/patch-1
  * TST: update readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)
  * Merge branch 'elfmz:master' into master
  * Simplify Actions workflow
  * Add installation chapter with Docker info
  * Add build in Docker
  * Merge pull request #2165 from anta999/colortest2
  * remove std:min
  * refer testing readme
  * Merge pull request #2161 from techtonik/patch-1
  * Merge branch 'master' of github.com:elfmz/far2l
  * cosmetics
  * Clickable CODESTYLE.md
  * Clickable HACKING.md
  * Update actions to remove build warnings
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2152 from anta999/colortest2
  * Merge pull request #2159 from spnethw/uchardet-minor-fixes
  * Merge pull request #2160 from akruphi/setattr
  * TST: update readme
  * minor fix
  * TST: progress - some real tests now
  * fix dialog pos as it was
  * setattr (Attributes dialog): optimize memory (from far2m)
  * Merge branch 'elfmz:master' into master
  * uchardet: 1) treat ASCII as UTF-8; 2) indentation fixes
  * Merge pull request #2154 from spnethw/fix-2139-nodetect-var-replace-char-ptr-with-dword
  * FAR2L_BACKEND_ABI_VERSION upped, minor indent and style fixes
  * Merge branch 'master' of github.com:elfmz/far2l
  * TST: FS functions etc
  * Merge pull request #2155 from akruphi/setattr
  * setattr (Attributes dialog): prevent duplicates in Owners/Groups (from far2m)
  * TST: socket read timeout (30 seconds by default)
  * TST: few more framework functions, readme cosmetics
  * Merge branch 'elfmz:master' into master
  * cosmetics
  * Tst: more input simulation functions
  * indentation fixes
  * type of nodetect variable changed from char* to dword (now used as bitmask)
  * copylen bug fixed
  * Try 4
  * Try 3
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * try to fix build errors
  * Added some buildin highlights
  * Marks inherit + some fixes
  * Pick color dialogs added
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * when to use the plugin list without restrictions and when with restrictions on how to invoke it
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Font styles added + some chgs
  * Added color masks, color dialog updated and works

 -- elfmz <fenix1905@tut.by>  Tue, 16 Jul 2024 09:57:52 +0300

far2l-core (2.6.1_hotfix1-1) unstable; urgency=low

  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)

 -- elfmz <fenix1905@tut.by>  Wed, 17 Apr 2024 01:06:17 +0300

far2l-core (2.6.1-1) unstable; urgency=low



 -- elfmz <fenix1905@tut.by>  Sat, 13 Apr 2024 20:15:13 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low

  * Bump version to 2.6.2
  * dont use wxTheClipboard->Flush under WXGTK
  * may be fix problem with cursor visibility after command execution (touch #2287)
  * recognize also "msdos" filesystem as case insensitive
  * recognize also exfat as case-insensitive fs
  * colorer: fix compilation under MacOS ElCapitan
  * copy: case-insensitively detect renaming to same folder name in vfat filesystem (touch #2204)
  * NR: bring back 2 and 3 columns modes, just avoid Align file extensions
  * Merge branch 'master' of github.com:elfmz/far2l
  * fallback to regular file if mode doesnt specify file type (fix #2263)
  * Merge pull request #2286 from ctapmex/artifacts-in-editor
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2285 from ctapmex/fix_2277
  * umask override option replaced with use of chmod with possibility to disable it at all (touch #2257)
  * fix fill background in editor
  * Revert "editor/colorer: fix coloring artifacts when rendering strings with characters of nonstandard width (touch #1941)"
  * fix Plugin Colorer crashes #2277
  * Merge pull request #2284 from unxed/fix_wl_clip
  * Merge pull request #2281 from spnethw/filefilter_case_sensitive
  * Merge pull request #2274 from deep-soft/far2l-master
  * Merge pull request #2276 from spnethw/cmpname_body_minor_fix
  * Merge pull request #2273 from akruphi/readme_debian
  * Merge pull request #2282 from akruphi/netrocks
  * fix #2238
  * NetRocks: for site connections list don't use current far2l panel modes
  * allow autofilters to work with extensions in both cases + style
  * update translation
  * add automation
  * add "Case sensitive" option to FileFilter, some refactoring
  * CmpName_Body: handle one missed case + minor style
  * adapt FileFilterParams to work with case(in)sensitive file masks
  * minor
  * add in readme explanation after #2271
  * Update macro.cpp
  * Merge pull request #2267 from spnethw/case_sensitive_fix_improve
  * Merge pull request #2270 from akruphi/hist_escape_fn_ctrlf10_fix
  * Merge pull request #2269 from akruphi/case_sensitive_advcompare
  * minor
  * History AltF8 fix escaping filenames in jump to file by CtrlF10 / F3
  * indent fix
  * revert FileFilter change
  * files highlighting is back case sensitive + style fixes
  * correction position of new functions in struct FarStandardFunctions after @shmuz advice
  * Advanced compare: add (in)sensitive option compare
  * update farlang.templ.m4 for FindFileCase
  * and more minor style fixes
  * more minor style fixes
  * minor style fixes
  * touch issue #2029, attempt to fix case-(in)sensitive option
  * Merge pull request #2265 from akruphi/case_sensitive_findfile
  * FindFile: dialog height minor fix
  * Customize Case (in)sensitive option for file masks in Find file
  * fix possible crash in sdc_readdir/sdc_closedir; minor optimization
  * ma: undo fork() experiment as measurements shown not so much improvements
  * revert libarchive detection workarouns for MacOS
  * fix pre-redraw func crash in certain conditions (fix #2262)
  * ma: refactor..
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * ma: experiment - use fork() instead of executing when extracting files by builtin handler if screen output and sudo are not required. This should make text search in archives much faster for those archive types that extracted using builtin handlers'
  * Merge pull request #2261 from akruphi/case_sensitive_compare_select
  * ma: remove unused code
  * ma: continue refactor
  * ma: minus another two arrays
  * ma: get rid of few more fixed size arrays
  * ma: get rid of some strcpy for a company
  * fix build and some cosmetics
  * multiarc: get rid of most fixed size arrays and all sprintfs
  * Help on Case sensitive when compare or select
  * Customize Case sensitive option for Compare folders and (De)Select in Panels
  * refactor some snprintf-s
  * helpers for trivial int->string conversions; fixed couple other warnings
  * Merge pull request #2260 from rampitec/warn
  * Fixing most of the obvious warnings with clang15 and MacOS.
  * Merge pull request #2255 from akruphi/hist_cmd_dir_in_prefix
  * Merge pull request #2259 from Dazzar56/TabNavFix
  * fix incorrect focus on tab key in DI_RADIOBUTTON
  * Merge pull request #2258 from akruphi/setattr_fix_date_compare
  * Attributes dialog CtrlA: workaround to compare current & initial date
  * typo
  * minor fix: timesep & variables
  * History - use all-far2l date-time format
  * History - add confirmation before remove non-existing entries by Ctrl+R
  * History commands - add path in prefix in Alt+F8
  * Merge pull request #2254 from akruphi/hist_footer
  * refactoring
  * History - more accurately HistoryFooter
  * mostly cosmetic refactor
  * Merge pull request #2253 from akruphi/fix_hist_autocomplete_dups
  * Merge pull request #2252 from akruphi/setattr
  * tests: improve viewer word-wrap testcase
  * tests: viewer word-wrap testcase
  * tests: refactor, testcase for viewer
  * History - fix duplicates in autocomplete after #2241
  * viewer: fix..
  * viewer: more up-scrolling fixes (touch #2246)
  * Attributes dialog CtrlA: mouse db-click only on changeable data times
  * NetRocks CtrlA: hotkeys closely to main far2l CtrlA
  * Attributes dialog CtrlA: show original octal + cosmetics
  * Merge pull request #2239 from unxed/zip_ansi_fix
  * viewer: fix spaces at lines begins when scrolling up in word-wrap mode (touch #2246)
  * Removed LACodepage, actually not needed
  * Merge pull request #2248 from anta999/colortest2
  * Merge pull request #2245 from akruphi/setattr
  * Merge pull request #2244 from m32/master
  * Merge pull request #2251 from spnethw/fix_issue_2207_prevent_crash_on_quick_view
  * prevent crash on Quick View and when calculating folder size
  * Fixed console history clearing crash
  * Attributes dialog CtrlA: dynamically show marks (*) near changed fields + refactoring
  * be quiet
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2241 from akruphi/hist
  * Merge pull request #2242 from anta999/colortest2
  * Merge pull request #2243 from spnethw/futimens-fd-close-fix
  * Add menu option stop wrap on edge
  * close file descriptor after futimens call
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few small fixes
  * History - also add choice "never" for delete duplicates
  * minor fix
  * History - delete duplicates if Name and Extra equal
  * Merge pull request #2240 from makefu/master
  * README: update nixos link to official wiki url
  * Bring ANSI special case back, see https://github.com/elfmz/far2l/issues/2237#issuecomment-2134114585
  * Process archives with ANSI charset correctly. Closes #2237. Passes all my test .zip archives set.
  * alt-f7 and select panel - python opens first found plugin
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2233 from unxed/7zip
  * minor fix
  * Merge pull request #2231 from unxed/7zip
  * Merge pull request #2232 from ctapmex/patch-1
  * revert wrong change
  * minor fixes
  * typo in build.yml
  * 7zz tools, often provided in 7zip package, offers more recent 7zip Linux port comparing to p7zip package version.
  * cosmetic
  * Merge pull request #2206 from anta999/colortest2
  * Merge pull request #2225 from akruphi/explain_setattr_symlinks
  * Merge pull request #2224 from spnethw/scanfilebymapping-fix
  * Merge pull request #2226 from Dazzar56/setattr-hotkeys
  * Merge pull request #2220 from atolismesh/master
  * Merge pull request #2227 from ctapmex/change-ci
  * Merge pull request #2229 from akruphi/fix2223_findfile_del_after_edit_from_panel
  * Merge pull request #2228 from ctapmex/colorer-fs
  * resolve merge conflict
  * fixed initialization of default focused item
  * Fix #2223
  * build on gcc-7; build without std::filesystems
  * sync colorer-library with upstream
  * update ci
  * Merge branch 'elfmz:master' into setattr-hotkeys
  * fix incorrect initial focus highlighting
  * cosmetic: spaces
  * Attributes dialog CtrlA: explanation surprise situation with symlinks properties
  * ScanFileByMapping fix: take into account the exact upper boundary
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2219 from Dazzar56/setattr-hotkeys
  * minor signature correction
  * renamed functions to the local name conventions
  * macrosses replaced for inline functions
  * Update custom.ini
  * Add support for UDF ISO archives and fix custom.ini
  * Merge branch 'elfmz:master' into master
  * some refactoring of dialog.cpp  * ITEM_IS_FOCUSABLE now check for all type of items  * inline CanGetFocus changed for a ITEM_IS_FOCUSABLE macro  * deleted unused code
  * Merge branch 'setattr-hotkeys' of https://github.com/Dazzar56/far2l into setattr-hotkeys
  * Merge pull request #2218 from akruphi/dialog_up_down
  * gap more than one line now considered as separator
  * fine tuning of keyboard movement logic inside of dialog  * take into account DI_BUTTON  * movement by coordinates now happens according to borders in current dialog config  * DI_SINGLEBOX, DI_DOUBLEBOX, DI_VTEXT, and DI_TEXT (with separator Flags) are considered as borders  * complex logic expressions moved into marcoses
  * oops
  * item colors bug fix
  * setattr (Attributes dialog CtrlA): hotkeys correction
  * correct after #2213 vertical keys processing in dialog
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * few fixes
  * Merge pull request #2208 from akruphi/date_configure
  * Merge pull request #2215 from ctapmex/github-ci
  * fix clang build
  * Merge pull request #2213 from Dazzar56/setattr-hotkeys
  * Merge pull request #2211 from dstd/history-autohighlight-option
  * Merge pull request #2209 from ctapmex/colorer-openwrt
  * Merge pull request #2212 from unxed/ctrl_yo
  * Merge pull request #2217 from ctapmex/colorer-schemes
  * Merge pull request #2216 from ctapmex/farcolorer_refactoring
  * Date format customization: refactoring
  * Date format customization: more detect formats from locale
  * update colorer schemes
  * new keyboard navigation method now is default * flag DIF_HORIZONTALLAYOUT removed. It`s no longer needed * fix some conflicts in setattr hotkeys
  * refactoring
  * add .clang-format from colorer; reformat farcolorer
  * choose type menu refactoring
  * run workflow 'Artifacts' only on master
  * add new workflow
  * Refactoring
  * restore hotkeys in setattr and add horizontal layout for checkbox and radiobutton
  * fix #2028
  * Fix locale in old systems (FreeBSD,...) + tiny refectoring
  * Date format customization via Interface settings - from locale
  * Option to disable automatic highlights in history lists
  * fix filter in outliner form
  * remove some raw pointers
  * fix clean editor on plugin disable
  * fix error on reenable plugin
  * remove colorer viewer, linux don`t supported
  * clean main module
  * remove ConsoleAnnotation.h; rework truemode
  * remove resource.h
  * restore user settings load
  * unreachable code removed
  * build on openwrt #1615
  * Date format customization: current button + improvement
  * Minor: typo
  * Date format customization via Interface settings
  * Merge branch 'elfmz:master' into master
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * RGB Palette Testing
  * NetRocks: add proxychains proxifier support, also now proxifier settings are configured on per-site basis but not one-for-all (touch #2200)
  * Merge pull request #2203 from spnethw/multiarc_check_read_access_to_archive
  * multiarc: check if we have read access to the archive
  * ma/libarch: dont use extraction to /dev/null when testing archive to avoid damaging that /dev/null (fix #2182)
  * fix BreakKeys problem by shmuz (fix #2189)
  * fix no-openssl build (fix #2199)
  * Merge pull request #2202 from akruphi/readme
  * readme minor
  * readme revert spaces
  * readme update
  * Merge pull request #2190 from atolismesh/master
  * Merge pull request #2178 from spnethw/fix-2060-remove-unnecessary-PrepareDiskPath-call
  * Merge pull request #2193 from akruphi/setattr
  * Merge pull request #2196 from spnethw/bootstrap-scripts-corrections
  * Merge pull request #2194 from ctapmex/colorer_sync2
  * Merge pull request #2195 from alexax66/master
  * Merge pull request #2198 from unxed/smarty-fix
  * Backported 1ef8c8cfc2487a91fff300111638dc5f82f94ddc from Colorer-schemes
  * ps.sh -- posix shell compatibility + minor style fixes
  * open.sh -- remove subshell overhead
  * Fix build on DragonflyBSD 6.4. with gcc12
  * minor clean up
  * disable stopping the build on warning message
  * sync with upstream commit d4b9fd7a0033704730bbf1a2d4696cf4d93ebfce
  * setattr (Attributes dialog CtrlA): rearrange + editable octal
  * Add basic support for build and debug with Visual Studio Code
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2181 from spnethw/fix-1745-multiarc-changes
  * add orig CommandType param in ArcCommand ctor call as comment
  * Fix 'Align file extensions' from shmuz (fix #2175)
  * Revert Silent == (OpMode & OPM_FIND) as ArcCommand ctor arg
  * Merge pull request #2176 from spnethw/fix-sudo-move-to-trash
  * Merge pull request #2177 from ctapmex/colorer_sync
  * Merge pull request #2179 from spnethw/fix-2142-restore-positioning-on-files-in-case-of-Shift-F9-too
  * Merge pull request #2180 from unxed/readme
  * Merge pull request #2185 from akruphi/help
  * man actualization & typo in help
  * Help: explain user menu location (after #2184)
  * sync with upstream: fix build on bsd
  * active vs inactive state
  * Merge branch 'elfmz:master' into master
  * Вроде бы дней через 20 в 24.04 должен появиться фикс, так что убрал лишнее
  * logic of setting NeedSudo has been modified, ArcCommand CommandType params fixed
  * moved to original location
  * Merge branch 'master' into readme
  * Added Ubuntu workaround
  * try crash on edit binary files
  * restore positioning on files in panels in case of manual setup saving (Shift-F9) too
  * remove unnecessary PrepareDiskPath call, fix error message according to changes
  * try build on macos
  * handle directory deletion correctly, too
  * check if sudo is required for the dir containing the file to be deleted, not for the file itself
  * fix lang file
  * fix exception
  * Merge pull request #2174 from akruphi/explain_move_symlinks_fix1683
  * fix error, warnings
  * update colorer to latest version
  * bettet ls output parsing
  * minor - quoting words from combobox
  * Move dialog: explaining dirs processing slowly depend on symlink combobox
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2166 from techtonik/docker-build
  * Merge pull request #2167 from techtonik/patch-1
  * TST: update readme
  * Merge branch 'master' of github.com:elfmz/far2l
  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)
  * Merge branch 'elfmz:master' into master
  * Simplify Actions workflow
  * Add installation chapter with Docker info
  * Add build in Docker
  * Merge pull request #2165 from anta999/colortest2
  * remove std:min
  * refer testing readme
  * Merge pull request #2161 from techtonik/patch-1
  * Merge branch 'master' of github.com:elfmz/far2l
  * cosmetics
  * Clickable CODESTYLE.md
  * Clickable HACKING.md
  * Update actions to remove build warnings
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2152 from anta999/colortest2
  * Merge pull request #2159 from spnethw/uchardet-minor-fixes
  * Merge pull request #2160 from akruphi/setattr
  * TST: update readme
  * minor fix
  * TST: progress - some real tests now
  * fix dialog pos as it was
  * setattr (Attributes dialog): optimize memory (from far2m)
  * Merge branch 'elfmz:master' into master
  * uchardet: 1) treat ASCII as UTF-8; 2) indentation fixes
  * Merge pull request #2154 from spnethw/fix-2139-nodetect-var-replace-char-ptr-with-dword
  * FAR2L_BACKEND_ABI_VERSION upped, minor indent and style fixes
  * Merge branch 'master' of github.com:elfmz/far2l
  * TST: FS functions etc
  * Merge pull request #2155 from akruphi/setattr
  * setattr (Attributes dialog): prevent duplicates in Owners/Groups (from far2m)
  * TST: socket read timeout (30 seconds by default)
  * TST: few more framework functions, readme cosmetics
  * Merge branch 'elfmz:master' into master
  * cosmetics
  * Tst: more input simulation functions
  * indentation fixes
  * type of nodetect variable changed from char* to dword (now used as bitmask)
  * copylen bug fixed
  * Try 4
  * Try 3
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * try to fix build errors
  * Added some buildin highlights
  * Marks inherit + some fixes
  * Pick color dialogs added
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'elfmz:master' into master
  * when to use the plugin list without restrictions and when with restrictions on how to invoke it
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Merge branch 'master' of https://github.com/elfmz/far2l into colortest2
  * Font styles added + some chgs
  * Added color masks, color dialog updated and works

 -- elfmz <fenix1905@tut.by>  Tue, 16 Jul 2024 09:57:52 +0300

far2l-core (2.6.1_hotfix1-1) unstable; urgency=low

  * marshal OnConsoleSetCursorBlinkTime to UI thread (fix mac window size and cursor freeze)

 -- elfmz <fenix1905@tut.by>  Wed, 17 Apr 2024 01:06:17 +0300

far2l-core (2.6.1-1) unstable; urgency=low



 -- elfmz <fenix1905@tut.by>  Sat, 13 Apr 2024 20:15:13 +0300

far2l-core (2.6.4-1) unstable; urgency=low

  * Bump version to 2.6.4
  * more keybd fixes
  * mac: fix for doubled key events (fix #2505)
  * TTY: use LINES and COLUMNS envs if TIOCGWINSZ didnt produce sane result
  * version script to update buildroot package
  * TTY: workaround for cases when terminal reports 0:0 size e.g. serial console
  * asm ->   __asm__ __volatile__ (touch #2494)
  * Merge branch 'master' of github.com:elfmz/far2l
  * VT/Kitty: dont send modifiers as needed
  * Merge pull request #2504 from akruphi/help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix kitty dup keys (fix #2503)
  * Help minor in HighlightList
  * Merge pull request #2500 from spvkgn/cmake
  * Merge pull request #2501 from akruphi/readme
  * Merge pull request #2502 from spnethw/fix_tmppanel_specifiers_narrow_to_wide
  * fix build under macos elcapitan
  * fix tmppanel: change %s to %ls
  * rough mention of last year's changes in far2l/far2sdk/farplug-wide.h
  * Readme correction
  * cmake: fix doubled flags
  * minor
  * some fixes for recent change
  * GUI backend: freeze console output while adhoc copy active
  * refactor
  * Merge pull request #2480 from akruphi/infolist
  * Merge pull request #2491 from unxed/minor_kb_fixes
  * Merge pull request #2496 from spnethw/fix_redraw_in_filtered_menu
  * Merge pull request #2497 from spnethw/ps_sh_improve_posix_sh_compatibility
  * infolist: show/hide titles only when mouse button pressed without motion
  * infolist: optimize ShowPluginDescription(), remove non-used code
  * ps.sh: improve posix sh compatibility
  * Fix redraw in filtered menu (see Mantis 0001794)
  * more detailed log
  * Merge branch 'minor_kb_fixes' of https://github.com/unxed/far2l into minor_kb_fixes
  * double keyup fix is also needed for plain chars without alt
  * farabout: show WX version BUILD & USE - special for @unxed
  * Merge branch 'master' into infolist
  * Merge branch 'elfmz:master' into minor_kb_fixes
  * - fixed alt+letters workaround applying conditions - fixed keyup event doubling if window focus is lost - better logging
  * Merge pull request #2489 from unxed/wx_ver
  * Merge pull request #2490 from ctapmex/tmppanel
  * fix #2462: saving file list from tmppanel is broken
  * tmppanel: remove Unicode define
  * include wxWidgets version information into the log
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * fixing build
  * ma: updated bundled 7z sources to 2408
  * ma: updated bundled unrar sources to 7.0.9
  * Merge pull request #2488 from ctapmex/colorer_update
  * update colorer_lib to 1.4.1
  * VT: reset special terminal modes to avoid messing up of terminal if application that used them exited abnormally
  * cosmetic (touch #2472)
  * FindFile: avoid Stop button reaction delay due to text search in huge file(s) (touch #2485)
  * cosmetic
  * Merge pull request #2483 from unxed/kitty_paste_fix
  * Merge pull request #2481 from unxed/alt_letter_fix_new
  * Merge pull request #2484 from spnethw/fix_2479_keep_directory_selection_after_renaming
  * comment
  * https://github.com/wxWidgets/wxWidgets/issues/24772 still reproduces in wx master!
  * farabout: show Plugin Strings in separate lines
  * infolist: last block (dir/plugin description) never hidden + code clean up
  * workaround for wx issue #23421 is not needed under wx 3.2.6+ also it is not working properly in wx 3.2.2- due to absence of wx commit 2c0f6a2 added required conditional compilation directives
  * minor
  * infolist: add hide/show blocks (backport from far3) + refactoring
  * fix 2479: keep directory selection after its renaming
  * looks like wx issue #23421 also reproduces on wayland system, so removed "do not apply on wayland" condition
  * fix #2482
  * Фикс для ввода кода символа через Alt+цифры теперь применяется только к цифрам NumPad'а — должно убрать риск глюков в других местах.
  * infolist: git info tuning
  * Merge pull request #2473 from unxed/alt_letter_fix_new
  * disable Alt+letter workaround on OS X
  * As it is reported in #2124, wxWidgets/wxWidgets#23421 is not reproduced on Wayland. So let us do not apply workaround on Wayland system to minimize risk of possible misbehavior.
  * Merge pull request #2470 from akruphi/ee_fix
  * Merge pull request #2469 from unxed/alt_letter_fix_new
  * minor
  * fix command line single --ee + remove in help/man single --ee mention
  * fix for fix: do not ignore shift (and other modifiers) state
  * Merge pull request #2463 from unxed/alt_letter_fix_new
  * Merge pull request #2468 from akruphi/infolist_fs_info
  * minor: include name correction
  * infolist: also show FS Flags
  * fixed incorrect condition
  * Merge pull request #2467 from akruphi/infolist_fix2465
  * Ctrl-Alt-\ - go to the mount point of the current folder's file system
  * infolist: fix #2465 (different info for FS and plugin; add info for FS)
  * Merge pull request #2466 from faerot/master
  * fix constants names
  * Merge pull request #2457 from m32/master
  * Merge pull request #2454 from elfmz/vt-plugins-api
  * use saved background screen in case console is not active
  * yjumpword python plugin added, yfar library updated
  * comments
  * comments
  * Also fixed #2464
  * comment
  * work around some alt+non_latin_letter bugs
  * Merge pull request #2458 from exkrexpexfex/master
  * End-of-options flag for grep
  * Fix command line processing of files having #<> in the name
  * python - example of access to VT history
  * added api allowing to export VT history
  * Merge pull request #2453 from akruphi/far_about
  * far:about: hide/show empty items + fix incorrect inline in FARString.hpp
  * Merge pull request #2437 from unxed/numfix
  * extra fix old ftp plugin (touch #2443)
  * fix old ftp plugin (fix #2443)
  * Merge pull request #2445 from ctapmex/colorer_v1.4.0
  * Merge pull request #2444 from unxed/smarty_fix
  * Merge pull request #2448 from spnethw/fix_2447_history_duplicates_in_autocomplete
  * Merge pull request #2438 from m32/master
  * Merge pull request #2442 from mitya57/far2ledit-desktop
  * Merge pull request #2439 from akruphi/readme
  * fix #2447: history duplicates in autocomplete under certain conditions
  * Add icons and a desktop file for far2ledit
  * update to colorer v1.4.0
  * minor
  * backported from colorer https://github.com/colorer/Colorer-schemes/commit/e7166d8c680d4c9b8d19cfda24221298de858963 and https://github.com/colorer/Colorer-schemes/commit/ee54d177ab9e9da395f38d2cca7831293797c97f
  * Fix a crash bug on e.g. 'far2l ma:/path/to/file.zip' (from far2m)
  * hello to gtk from far2l :)
  * Describe FARSETTINGS near -u + show FARSETTINGS & FAR2L_ARGS in far:about
  * Fix incorrect processing 1st non backend-specific parameter in FAR2L_ARGS
  * also version and month in man
  * Readme after accepted far2l-wx into Debian + show version by far2l -h
  * finding usable shared library since /usr/lib/x86_64-linux-gnu/libpython3.11.so is from python3-dev package
  * wxGetKeyState() fails to return correct Alt state under X11 in some cases (at least in Cinnamon and KDE). Btw, according to docs, it should not work under X11 at all. See #2294 for details
  * Merge pull request #2436 from m32/master
  * python inside packaging
  * python inside packaging
  * fix minor compiler warning
  * VT: refactor kitty code
  * Merge pull request #2431 from spnethw/fix_2430_incorrect_files_processing_in_far2l_command_line
  * Merge pull request #2432 from spnethw/fix_2410_screen_redraw_issue
  * Merge pull request #2433 from atolismesh/master
  * python wont build - fixed
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2426 from spnethw/fix_autocomplete_garbage_show_all_if_ambiguous
  * use python plugin in packaging
  * Merge pull request #2422 from akruphi/far_about
  * Merge pull request #2420 from m32/master
  * far:about: refactoring of environment variable block
  * Update FarEng.hlf.m4
  * Small dialog and help text fixes
  * add explanation
  * comment out possibly unnecessary code
  * far:about: Сommand Shell show either System or User
  * fix #2410, Strange behavior for NumEnter (screen redraw issue)
  * fix #2430: Incorrect files processing in far2l command line
  * fix #2425: autocomplete garbage if show-all-if-ambiguous is On + tiny cleanup
  * far:about: show ShellCmd & hide empty items
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2415 from akruphi/describe
  * Merge pull request #2416 from exkrexpexfex/master
  * NumLock emulation with Clear button on Apple full size keyboard
  * Description of plugins API additional flags after #2412
  * minor addition to #2395
  * Merge pull request #2395 from spnethw/autocompletion_fix
  * Merge pull request #2412 from akruphi/NetRocks_hilight
  * Merge pull request #2408 from spnethw/fix_grammatical_errors_and_typos_in_hlf_and_lang
  * Merge pull request #2413 from unxed/zipfix
  * hlf: fix more Russian grammatical errors and typos + style
  * fixes #2404
  * hlf: fix even more Russian grammatical errors and typos
  * hlf: fix some more Russian grammatical errors and typos
  * use only system preprocessor
  * move declarations to far2lcffi.h
  * remove python3-venv dependency, avoid using python3-venv and use only system preprocessor
  * Python compatible changes, for exporting as modules
  * Minor fix & clean up
  * using dialogbuilder for configuration editing and progress dialog while waiting for debugger
  * wrong number of parameters
  * executable mark not for directories
  * Tuning of Default Files highlighting
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * Virtualenv not required to build python plugin
  * NetRocks: for site connections list always don't show markers
  * * Add flags to manage markers in panel from plugins API
  * Revert for site connections list use HIGHLIGHTING
  * Merge branch 'master' of github.com:m32/far2l
  * hlf and lang: fix some Russian grammatical errors and typos
  * Merge pull request #2397 from spnethw/fix_2396_netrocks_extrasitesettings_load_correctly_keepalive
  * Merge pull request #2400 from akruphi/revert
  * Merge pull request #2401 from unxed/win32_input_fix
  * Merge pull request #2403 from spnethw/fix_2402_netrocks_truncated_error_message_labels
  * Merge pull request #2406 from spnethw/fix_2405_panel_sorting_bug
  * Merge pull request #2393 from akruphi/files_highlighting_marks
  * fix #2405: fix panel sorting bug
  * fix cyrillic chars paste in win32-input-mode
  * fix #2402: NetRocks: truncated error message labels +tiny correction of Belarusian translation
  * Revert commit (from far2m / Mantis 0002845)
  * first we import from the user directory, not from plugins directory
  * fix #2396: NetRocks: Extra connection options, load KeepAlive correctly
  * Help minor
  * fix 2394: autocompletion fix
  * NetRocks: for site connections list don't use HIGHLIGHTING
  * Fix missing hidden directories markers after #2388
  * Help minor
  * Merge pull request #2390 from faerot/master
  * Merge pull request #2388 from akruphi/files_highlighting_marks
  * Merge pull request #2392 from cycleg/issue-2052
  * Change default Files highlighting for standard types markers a la `mc` and `ls -F`
  * Issue-2052: small fix in cmake project file.
  * Issue-2052: в новых дистрибутивах libpcre3 переименовали обратно в libpcre2.
  * more compact MainMenuBottomTitle
  * Merge branch 'master' of https://github.com/faerot/far2l
  * python plugins: batch rename, jump selection, and pythonic library for them
  * add Ctrl+Up Ctrl+Down to MainMenuBottomTitle a la far3
  * help minor
  * global typo "Allign" -> "Align"
  * File markers indentations config tuning + help
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix
  * Merge pull request #2386 from spvkgn/patch-1
  * fix bash-completion installation path
  * cosmetic
  * Merge pull request #2380 from anta999/colortest2
  * ret the prev highlightdata == operator
  * Merge pull request #2381 from akruphi/bash-completion
  * removed last extra empty item in user menu
  * Merge pull request #2385 from ctapmex/new_logger
  * update
  * fix warn from clang
  * update readme
  * colorer: change logger library
  * readme add note
  * That's better
  * minor readme
  * Add bash-completion
  * unsigned
  * Merge branch 'master' of github.com:elfmz/far2l into colortest2
  * Align filenames by marks
  * Merge pull request #2377 from m32/master
  * Merge pull request #2372 from akruphi/no_tap_on_def
  * Merge pull request #2371 from unxed/fix_osc52
  * Merge pull request #2368 from anta999/colortest2
  * Merge pull request #2366 from unxed/improve_kb_log
  * python build requirements
  * Merge branch 'elfmz:master' into master
  * Prevent quick thoughtless tap Enter or Space or Esc in dialog
  * Fix #2370
  * cosmetic
  * fix
  * annoing warnings removed
  * Merge pull request #2367 from unxed/improve_ee
  * Merge branch 'elfmz:master' into master
  * ops! default value should be specified in another place
  * As number of users who prefer not to press ESC twice is probably much greater than number of users who want to send custom escape sequences to far2l (can't even imagine a use case for that), let's enable --ee=100 by default, allowing user to disable this feature if needed for some reason
  * Merge branch 'elfmz:master' into improve_kb_log
  * Merge pull request #2365 from unxed/improve_kitty
  * removed unused constants unsupported in older wx
  * Revert "try to fix build"
  * try to fix build
  * cosmetic
  * removed redundant conditions
  * even better logging
  * dramatically improve keyboard events logging
  * ups
  * a bit better compatibility
  * accidentally committed debug line. fixing it
  * Merge pull request #2362 from unxed/improve_kitty
  * Merge pull request #2361 from akruphi/edit_view_grab
  * support right modifiers better
  * fix remaining part of #2353
  * Add special commands edit:< and view:< for grab redirect output
  * Merge pull request #2356 from unxed/ee_wo_xi
  * Merge pull request #2358 from atolismesh/master
  * Merge pull request #2359 from akruphi/cmd_args
  * VT: implement reporting OSC4 RGB palette and Device Attributes (touch #2353)
  * view.sh use either 7zz (from 7zip package) or 7z (from p7zip-full)
  * minor
  * minor
  * Startup options processing only via -
  * Fix update Findfmt.cmake
  * Update Findfmt.cmake for compatibility with fmt 11.x.x
  * Also enable esc expiration if we've got no TTY|X or got TTY|X without Xi
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2355 from unxed/wslg_fix
  * fix #2354
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2321 from spnethw/extend_nodetect_opt
  * Merge pull request #2352 from ctapmex/ctapmex-libxml-readme
  * Update README.md
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2350 from ctapmex/colorer_libxml
  * Merge pull request #2347 from unxed/kitty_in_vt
  * Merge pull request #2345 from spnethw/fix_2344_incorrect_work_with_folder_named_with_backtick
  * update colorer schemes
  * fix build
  * remove xercesc depends from packaging
  * remove xercesc depends
  * use libxml2 instead xercesc
  * remove unused cmake files
  * update colorer library
  * we also need tailing zeros
  * cosmetic
  * cosmetic
  * more compatible ESC sequences generation
  * fixed shift+letter behavior in freevision and turbovision (that was two separate issues)
  * fixed minor error that prevents backspace from working in free pascal's kitty protocol implementation
  * cosmetic
  * Better Shift key handling
  * Basic implementation of kitty keyboard protocol in internal VT. Not complete yet, but far2l is already usable in kitty mode
  * escape backtick character
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2339 from akruphi/from_far2m
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2343 from akruphi/help
  * Merge pull request #2342 from rampitec/incsrch-license
  * Help improve
  * [incsrch] remove gpl.txt
  * Merge pull request #2338 from rampitec/incsrch-cleanup
  * Readded gpl.txt
  * Merge branch 'master' into incsrch-cleanup
  * Merge pull request #2328 from rampitec/check-inside-plugin
  * Merge pull request #2340 from mitya57/time-t
  * Merge pull request #2331 from unxed/vt_better_keys
  * Merge pull request #2333 from ClusterM/master
  * Merge pull request #2327 from unxed/macrodoclink
  * Merge pull request #2319 from unxed/wsl_nl
  * Merge pull request #2314 from unxed/ee_linux
  * Merge pull request #2312 from unxed/selectfix
  * Make md_timestring accept time_t
  * TmpPanel: fix memory leak (from far2m)
  * Regexp from far2m: "(b)?b" and fix https://github.com/FarGroup/FarManager/issues/609
  * Wrong handling of "exclamation marks" in usermenu item (see Mantis 0002845) (from far2m)
  * "Cannot find the file" on F5 after Ctrl+Tab from a file saved in the editor (see Mantis 0001791) (from far2m)
  * Editor vertical blocks fix (see Mantis 0001806) (from far2m)
  * Far hanging on pressing CtrlAltPgUp/CtrlAltPgDn (Mantis 0001807) (from far2m)
  * InfoPanel: fix color of plugin's text (see Mantis 0001860) (from far2m)
  * Filters menu: fix crashes (see Mantis 1923) (from far2m)
  * Plugins menu: fix crashes (see Mantis 1992) (from far2m)
  * Fix VCTL_xxx Far crashes (see Mantis 2137) (from far2m)
  * ESPT_CODEPAGE corrupts files (see Mantis 2292) (from far2m)
  * FMENU_SHOWAMPERSAND works incorrectly (from far2m)
  * far:about: Compiler & rearrange items & add Ctrl-C / Ctrl-Ins
  * [incsrch] Cleanup windows stuff
  * non-latin characters paste support
  * win32-input-mode double encoding fix
  * Bring escape sequences generated in VT on [Alt|Ctrl|Shift]+F1..F4 key presses closer to generated by GNOME terminal. Fixes #2330
  * Fixed typo in the comment
  * Fix CheckInsidePlugin for non-panel plugins
  * Merge branch 'elfmz:master' into master
  * minor
  * no need to remove this completely
  * minor
  * Some other help and translations improvements (getting rid of Windows legacy)
  * minor
  * minor
  * minor
  * add macro language docs link
  * Revert "Enable TTY|X[i] in kernel console". Such behavior may be harmful in ssh sessions, for example.
  * Enable TTY|X[i] in kernel console mode also. Useless (even harmful) for keyboard interaction, so disabled it at all. Still great for X11 clipboard access.
  * Merge branch 'elfmz:master' into ee_linux
  * nodetect without params also disables win32/iTerm2/kitty input modes
  * fix comment start
  * fix bsd build
  * extend nodetect option to cover win32/iTerm2/kovidgoyal's kitty modes
  * comment
  * fix newlines in wsl clipboard processing
  * minor fix
  * enable esc expiraction by default in kernel console also
  * removed backend condition; better performance
  * Merge branch 'master' of github.com:elfmz/far2l
  * fix TTYX (without Xi) keymods (touch #2309 #2310)
  * fix #2311
  * Merge pull request #2301 from akruphi/from_far2m
  * Merge pull request #2307 from akruphi/readme
  * Merge pull request #2308 from ctapmex/clean-workflow
  * readme cosmetic
  * ci: fix warnings in build logs
  * ci: add worflow for cleaning old workflow runs
  * readme cosmetic
  * readme minor
  * Readme & help minor
  * Merge branch 'elfmz:master' into master
  * Merge pull request #2305 from akruphi/readme_table
  * cosmetis
  * cosmetics
  * cosmetics
  * corrections from @unxed
  * Merge pull request #2304 from akruphi/readme_table
  * cosmetics
  * cosmetics
  * Readme add table with explanation of Backends
  * Editor: fix replace with regexp (see Mantis 2465) (from far2m)
  * Fix FCTL_xxx Far crashes (see Mantis 2603) (from far2m)
  * Fix ECTL_SAVEFILE crash (see Mantis 2348) (from far2m)
  * Free memory after canceling F6 in the Viewer (Mantis 2605) (from far2m)
  * Fix a crash bug in VMenu (from far2m)
  * Fix ShiftF2 & ShiftF3 operation when multiple plugins-archivers are present (from far2m)
  * Merge branch 'elfmz:master' into master
  * Fix CmdLine.CurPos (from far2m)
  * More accurate check index from plugin's dialog (from far2m)
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * Merge branch 'elfmz:master' into master
  * confusing space in name

 -- elfmz <fenix1905@tut.by>  Mon, 18 Nov 2024 09:57:59 +0300

far2l-core (2.6.3-1) unstable; urgency=low

  * Bump version to 2.6.3
  * Merge pull request #2302 from unxed/wslcliptty
  * Apply WSL clipboard workaround in TTY mode also
  * Merge pull request #2300 from akruphi/about_wsl
  * miscellaneous tiny commits
  * Merge pull request #2299 from spnethw/findfile_dialog_checkboxes_tab_fix
  * fix tab order in FindFile dialog
  * cosmetic: increase height of select files dialog, make background fill color to be palette[0] under MAC (touch #2298)
  * cosmetic
  * fix inverted case sensitive condition; cosmetic
  * save CaseSensitive and SelectFolders checkboxes in file select by + dialog
  * Ctrl+Shift+Down also may now make put panel over command line; cosmetic
  * Merge pull request #2297 from akruphi/fix2235
  * Fix #2235
  * fix glitches on Ctrl+Enter etc when hidden command line
  * minor
  * fix some issues in prev change
  * Panels resize by Ctrl+Down allows to hide command line, subsequently allowing fast file find without pressing Alt
  * Merge pull request #2292 from unxed/wslcliputf8
  * finnaly made it work 3/2 :))
  * finnaly made it work 2/2 :)
  * finnaly made it work
  * Merge pull request #2290 from akruphi/NR
  * cscript.exe still have charset problems on some systems (https://t.me/far2l_ru/25428), lets stuck with powershell for now
  * cosmetic
  * removed redundancy
  * fix cscript
  * minor
  * bring back cscript as it should be faster?
  * one more minor fix
  * trying to fix charset issues
  * Users report charset problems with cscript.exe solution: https://t.me/far2l_ru/25309 Actually, every Windows version having WSL[g] also has PowerShell, so using cscript.exe is redundant.
  * NetRocks: cosmetic
  * cosmetic
  * Merge pull request #2289 from unxed/fix_wslg_clip
  * fix redundant newlines appearing at the end of clipboard content
  * fix languages to fit to dialog
  * FindFile: shuffle checkboxes to more convinient and space-efficient places

 -- elfmz <fenix1905@tut.by>  Thu, 25 Jul 2024 22:06:17 +0300

far2l-core (2.6.2-1) unstable; urgency=low

  * Bump version to 2.6.2
  * dont use wxTheClipboard->Flush under WXGTK
  * may be fix problem with cursor visibility after command execution (touch #2287)
  * recognize also "msdos" filesystem as case insensitive
  * recognize also exfat as case-insensitive fs
  * colorer: fix compilation under MacOS ElCapitan
  * copy: case-insensitively detect renaming to same folder name in vfat filesystem (touch #2204)
  * NR: bring back 2 and 3 columns modes, just avoid Align file extensions
  * Merge branch 'master' of github.com:elfmz/far2l
  * fallback to regular file if mode doesnt specify file type (fix #2263)
  * Merge pull request #2286 from ctapmex/artifacts-in-editor
  * Merge branch 'master' of github.com:elfmz/far2l
  * Merge pull request #2285 from ctapmex/fix_2277
  * umask override option replaced with use of chmod with possibility to disable it at all (touch #2257)
  * fix fill background in editor
  * Revert "editor/colorer: fix coloring artifacts when rendering strings with characters of nonstandard width (touch #1941)"
  * fix Plugin Colorer crashes #2277
  * Merge pull request #2284 from unxed/fix_wl_clip
  * Merge pull request #2281 from spnethw/filefilter_case_sensitive
  * Merge pull request #2274 from deep-soft/far2l-master
  * Merge pull request #2276 from spnethw/cmpname_body_minor_fix
  * Merge pull request #2273 from akruphi/readme_debian
  * Merge pull request #2282 from akruphi/netrocks
  * fix #2238
  * NetRocks: for site connections list don't use current far2l panel modes
  * allow autofilters to work with extensions in both cases + style
  * update translation
  * add automation
  * add "Case sensitive" option to FileFilter, some refactoring
  * CmpName_Body: handle one missed case + minor style
  * adapt FileFilterParams to work with case(in)sensitive file masks
  * minor
  * add in readme explanation after #2271
  * Update macro.cpp
  * Merge pull request #2267 from spnethw/case_sensitive_fix_improve
  * Merge pull request #2270 from akruphi/hist_escape_fn_ctrlf10_fix
  * Merge pull request #2269 from akruphi/case_sensitive_advcompare
  * minor
  * History AltF8 fix escaping filenames in jump to file by CtrlF10 / F3
  * indent fix
  * revert FileFilter change
  * files highlighting is back case sensitive + style fixes
  * correction position of new functions in struct FarStandardFunctions after @shmuz advice
  * Advanced compare: add (in)sensitive option compare
  * update farlang.templ.m4 for FindFileCase
  * and more minor style fixes
  * more minor style fixes
  * minor style fixes
  * touch issue #2029, attempt to fix case-(in)sensitive option
  * Merge pull request #2265 from akruphi/case_sensitive_findfile
  * FindFile: dialog height minor fix
  * Customize Case (in)sensitive option for file masks in Find file
  * fix possible crash in sdc_readdir/sdc_closedir; minor optimization
  * ma: undo fork() experiment as measurements shown not so much improvements
  * revert libarchive detection workarouns for MacOS
  * fix pre-redraw func crash in certain conditions (fix #2262)
  * ma: refactor..
  * minor
  * Merge branch 'master' of github.com:elfmz/far2l
  * ma: experiment - use fork() instead of executing when extracting files by builtin handler if screen output and sudo are not required. This should make text search in archives much faster for those archive types that extracted using builtin handlers'
  * Merge pull request #2261 from akruphi/case_sensitive_compare_select
